GNU bug report logs - #33676
GuixSD on eoma68-a20?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Danny Milosavljevic <dannym@HIDDEN>; dated Sat, 8 Dec 2018 17:13:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 23 Dec 2018 08:54:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 23 03:54:43 2018
Received: from localhost ([127.0.0.1]:60505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gazX0-00088I-Qv
	for submit <at> debbugs.gnu.org; Sun, 23 Dec 2018 03:54:43 -0500
Received: from mx1.riseup.net ([198.252.153.129]:38145)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gazWz-00088A-5g
 for 33676 <at> debbugs.gnu.org; Sun, 23 Dec 2018 03:54:41 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 07FF31A04BF;
 Sun, 23 Dec 2018 00:54:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1545555280; bh=+Gj5aZExjpG9jyJbu8jBDJlGIIWbKzqhKlOwp71R+4c=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=npJR5e/3nV3YA3L8BDFjbPPIGoeQ7EQE7CSI0GolVAevmpsvOEOP5HicgZcTM921f
 gNmiH0aH4UQfb2DULELhUQ+pOAA/GDB0yYc5toUp4Zuh/OJiwUw0HRMJ+xioNVc9NP
 PHTiu1N2Nzabq/voLRyomXd6FT+CKuwVTgGSfl7M=
X-Riseup-User-ID: BEE32ED6FB08265FE822869FA147E3081EA4F591D9761F38BA11310472D794BF
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id AFED6105621;
 Sun, 23 Dec 2018 00:54:39 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Sun, 23 Dec 2018 00:54:39 -0800
From: swedebugia@HIDDEN
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
In-Reply-To: <139d0a5a952f3b4c59c0d6534643f9ce@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN> <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN> <20181210211224.GA7317@jurong>
 <20181222000957.424e2213@HIDDEN> 
 <c04fae8746e55cbc9c35927d4886b353@HIDDEN>;
 <20181222094411.3e8fd6cd@HIDDEN>
 <139d0a5a952f3b4c59c0d6534643f9ce@HIDDEN>
Message-ID: <f1e25ea26a5456d49c228dd27921768b@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN,
 Guix-devel <guix-devel-bounces+swedebugia=riseup.net@HIDDEN>,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-12-23 06:09, swedebugia@HIDDEN wrote:
> On 2018-12-22 09:44, Danny Milosavljevic wrote:
>> Please add to your /etc/config.scm to the "services" section:
>>
>> (service qemu-binfmt-service-type
>>                      (qemu-binfmt-configuration
>>                        (platforms (lookup-qemu-platforms "arm"))
>>                        (guix-support? #t)))
> 
> Thanks.
> 
> Added, reconfigured and now it is building away happily. Will report
> back how it goes...

It took a long long time to compile python2.7 and failed a 1 test in the
end.

356 tests OK.
1 test failed:
    test_mmap
39 tests skipped:
    test_aepack test_al test_applesingle test_bsddb test_bsddb185
    test_bsddb3 test_cd test_cl test_codecmaps_cn test_codecmaps_hk
    test_codecmaps_jp test_codecmaps_kr test_codecmaps_tw test_curses
    test_dl test_gdb test_gl test_imgfile test_ioctl test_kqueue
    test_linuxaudiodev test_macos test_macostools test_msilib test_nis
    test_ossaudiodev test_scriptpackages test_smtpnet
    test_socketserver test_startfile test_sunaudiodev test_timeout
    test_tk test_ttk_guionly test_urllib2net test_urllibnet
    test_winreg test_winsound test_zipfile64
4 skips unexpected on linux2:
    test_bsddb test_bsddb3 test_gdb test_ioctl

Total duration: 55 min 1 sec
Tests result: FAILURE
make: *** [Makefile:878: test] Error 2

Test suite failed, dumping logs.
Backtrace:
           4 (primitive-load "/gnu/store/dbh5r09sm7hw8jjmxvgmjks9h2q…")
In ice-9/eval.scm:
   191:35  3 (_ _)
In srfi/srfi-1.scm:
   863:16  2 (every1 #<procedure 1e4830 at /gnu/store/diwcb1v9lr156…> …)
In
/gnu/store/diwcb1v9lr156sg3q4ww1wvsniw4n6rf-module-import/guix/build/gnu-build-system.scm:
   799:28  1 (_ _)
    369:6  0 (check #:target _ #:make-flags _ #:tests? _ # _ # _ # _)

/gnu/store/diwcb1v9lr156sg3q4ww1wvsniw4n6rf-module-import/guix/build/gnu-build-system.scm:369:6:
In procedure check:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program:
"make" arguments: ("test" "-j" "2") exit-status: 2 term-signal: #f
stop-signal: #f] 145fc0>)'.
builder for
`/gnu/store/c9d3ga47xx8izflj9r1xgf1y6y39yskq-python2-2.7.15.drv' failed
with exit code 1
build of /gnu/store/c9d3ga47xx8izflj9r1xgf1y6y39yskq-python2-2.7.15.drv
failed
View build log at
'/var/log/guix/drvs/c9/d3ga47xx8izflj9r1xgf1y6y39yskq-python2-2.7.15.drv.bz2'.
guix system: error: build failed: build of
`/gnu/store/c9d3ga47xx8izflj9r1xgf1y6y39yskq-python2-2.7.15.drv' failed

-------------
fail details:

0:27:38 load avg: 1.19 [216/396] test_mmap
test test_mmap failed -- Traceback (most recent call last):
  File
"/tmp/guix-build-python2-2.7.15.drv-0/Python-2.7.15/Lib/test/test_mmap.py",
line 696, in test_large_offset
    self.assertEqual(m[0xFFFFFFF], b" ")
AssertionError: '\x00' != ' '

0:27:40 load avg: 1.18 [217/396/1] test_module -- test_mmap failed

I'm on i386.
Will try again when I succeded in disabling the test.
-- 
Cheers 
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 23 Dec 2018 05:09:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 23 00:09:30 2018
Received: from localhost ([127.0.0.1]:60409 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gaw14-0002aZ-Ms
	for submit <at> debbugs.gnu.org; Sun, 23 Dec 2018 00:09:30 -0500
Received: from mx1.riseup.net ([198.252.153.129]:51092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gaw13-0002aR-Fw
 for 33676 <at> debbugs.gnu.org; Sun, 23 Dec 2018 00:09:29 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 8C9B41A01A4;
 Sat, 22 Dec 2018 21:09:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1545541769; bh=0UFcalryB+/xj+A+HJ0GtRhLTnv539TJyzJW+mAR2+E=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=TnTDTVr8CB5eEOX0nvt0p33u/yQZq0C26mROm6UYtN/vMP858eZp7RzQ5v81nvCJB
 gyb+AEuFiCVNHNsnbwCfVzPEgJ7H5H4OzChpjOP+2Tqe3H+HJUcVoW65pGqsbcTmx6
 g7hRtSrl7lXizDmYuB0jPq8Aw638IISKkmoOF27I=
X-Riseup-User-ID: B9993DAFA297C5D215EA87DEF223797C0975636D37996AB5D252080FE5CA87C1
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 2BC182F86D;
 Sat, 22 Dec 2018 21:09:27 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Date: Sat, 22 Dec 2018 21:09:26 -0800
From: swedebugia@HIDDEN
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
In-Reply-To: <20181222094411.3e8fd6cd@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN> <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN> <20181210211224.GA7317@jurong>
 <20181222000957.424e2213@HIDDEN> 
 <c04fae8746e55cbc9c35927d4886b353@HIDDEN>;
 <20181222094411.3e8fd6cd@HIDDEN>
Message-ID: <139d0a5a952f3b4c59c0d6534643f9ce@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Andreas Enge <andreas@HIDDEN>, 33676 <at> debbugs.gnu.org,
 ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-12-22 09:44, Danny Milosavljevic wrote:
> Please add to your /etc/config.scm to the "services" section:
> 
> (service qemu-binfmt-service-type
>                      (qemu-binfmt-configuration
>                        (platforms (lookup-qemu-platforms "arm"))
>                        (guix-support? #t)))

Thanks.

Added, reconfigured and now it is building away happily. Will report
back how it goes...

-- 
Cheers 
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 22 Dec 2018 09:11:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 22 04:11:22 2018
Received: from localhost ([127.0.0.1]:59132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gadJa-0003S2-0a
	for submit <at> debbugs.gnu.org; Sat, 22 Dec 2018 04:11:22 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:48066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gadJY-0003Rv-PN
 for 33676 <at> debbugs.gnu.org; Sat, 22 Dec 2018 04:11:21 -0500
Received: from localhost (77.117.128.10.wireless.dyn.drei.com [77.117.128.10])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id C35E233606B0;
 Sat, 22 Dec 2018 10:11:14 +0100 (CET)
Date: Sat, 22 Dec 2018 10:11:06 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: swedebugia@HIDDEN
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181222101106.07da06e4@HIDDEN>
In-Reply-To: <f1a9061ce610b3ea623951bbf368eb18@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>
 <20181210211224.GA7317@jurong>
 <20181222000957.424e2213@HIDDEN>
 <c04fae8746e55cbc9c35927d4886b353@HIDDEN>
 <f1a9061ce610b3ea623951bbf368eb18@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/8Qx.aIs1CIlsmoFOc3cOlsh"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/8Qx.aIs1CIlsmoFOc3cOlsh
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Did you reconfigure?

# guix system reconfigure /etc/config.scm

If so, that's weird.

>I'm on x86_64 hardware running a i686 guix

Yeah, "--system" is using qemu to emulate the target architecture and the b=
uild
job then runs in there.

--Sig_/8Qx.aIs1CIlsmoFOc3cOlsh
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwd/6oACgkQ5xo1VCww
uqUx1gf9Gyfvt4+Nj9wGfEFbfbTTlTJrMX66VOMisLdcA+JVXFszroOh0yo9tiUu
DXPPbX0eOF/u2GqSFDOTLHunBaWTnyfViZjISAhHAO0/MZPXydGLSDEhpHli2Su0
/9722Lv7h7VuMHYr921ShfV2oZ50x2qm8IRK+Od4v6QWgIyVinUDIoaOxWxItfIY
+wrRSfvtHLHKZL6SYaxmr6iCmD2VKELEsUO7AVkNSQKaYp1MJW1jKhmXyJxJRaTN
MLXkiLcos7n1fXnel1JqvRbR586BpKvlj0zXo0xj2zZYrzFiwiik8YOciC17qreA
6vWO9whQluMNGIGYsonxLbj8JWj5Ow==
=QO8g
-----END PGP SIGNATURE-----

--Sig_/8Qx.aIs1CIlsmoFOc3cOlsh--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 22 Dec 2018 08:47:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 22 03:47:16 2018
Received: from localhost ([127.0.0.1]:59111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gacwF-0002qy-1u
	for submit <at> debbugs.gnu.org; Sat, 22 Dec 2018 03:47:15 -0500
Received: from mx1.riseup.net ([198.252.153.129]:46215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gacwC-0002qp-Ke
 for 33676 <at> debbugs.gnu.org; Sat, 22 Dec 2018 03:47:13 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 67E1B1A0169;
 Sat, 22 Dec 2018 00:47:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1545468431; bh=xjtkLkd5zSn0FnG9VTF3L7boQ/Vg/lLqrfBaxSP7AvA=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=T5GKwTcToJrYTfN7Ad0pOYbj9DhBd6/qYBUOcSjHkEOIyB+D3ahfdif7zY/TVjvF0
 7n3CxELCp0OG2fJ2UlAYKON9qXTQfJMpGiPwWQujcW+9oAXc51BPpdGKsMiHKj9BGL
 0HINKns+Wgu1i/xWpbgj10q4xitMEXQYJSX3tQSU=
X-Riseup-User-ID: F21BC71D9C0AF0C263D35939488DA89220176BE68B5A7B236A56AFEBBDE5BD57
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 0FFDD6BBED;
 Sat, 22 Dec 2018 00:47:11 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Date: Sat, 22 Dec 2018 00:47:10 -0800
From: swedebugia@HIDDEN
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
In-Reply-To: <c04fae8746e55cbc9c35927d4886b353@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN> <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>  <20181210211224.GA7317@jurong>;
 <20181222000957.424e2213@HIDDEN>
 <c04fae8746e55cbc9c35927d4886b353@HIDDEN>
Message-ID: <f1a9061ce610b3ea623951bbf368eb18@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN,
 bug-Guix <bug-guix-bounces+swedebugia=riseup.net@HIDDEN>,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-12-22 09:33, swedebugia@HIDDEN wrote:
> On 2018-12-22 00:09, Danny Milosavljevic wrote:
>> Now I get:
>>
>> $ # commit 39c676c4a3507863f4edf20b225ace4cbf646ed6
>> $ ./pre-inst-env guix system disk-image --system=armhf-linux -e
>> '(begin (use-modules (gnu system) (gnu bootloader) (gnu bootloader
>> u-boot) (gnu system install)) (operating-system (inherit
>> installation-os) (bootloader (bootloader-configuration (bootloader
>> u-boot-bootloader) (target #f)))))' >QQQ3 2>&1
>> [...]
>> The following derivation will be built:
>>    /gnu/store/shgfclh6yy1a03hl0c293s89y3qm9033-disk-image.drv
>> building /gnu/store/shgfclh6yy1a03hl0c293s89y3qm9033-disk-image.drv...
>> environment variable `PATH' set to
>> `/gnu/store/cm3j1pzdqhw4s9bg1drwlm3lw3qxzddj-qemu-minimal-3.1.0/bin:/gnu/store/hb2qj35yxmvxzcq99lbfcpija032wdzh-coreutils-8.30/bin'
>> creating raw image of 1265.54 MiB...
>> Formatting '/gnu/store/9wbw2vbpgg3pwlg9xr7jbniyca0nra2q-disk-image',
>> fmt=raw size=1327019190
>> [    0.000000] Booting Linux on physical CPU 0x0
>> [    0.000000] Linux version 4.19.11-gnu (nixbld@) (gcc version 5.5.0
>> (GCC)) #1 SMP 1
>> [    0.000000] CPU: ARMv7 Processor [412fc0f1] revision 1 (ARMv7), cr=10c5387d
>> [    0.000000] CPU: div instructions available: patching division code
>> [    0.000000] CPU: PIPT / VIPT nonaliasing data cache, PIPT instruction cache
>> [    0.000000] OF: fdt: Machine model: linux,dummy-virt
>> [    0.000000] Memory policy: Data cache writealloc
>> [    0.000000] efi: Getting EFI parameters from FDT:
>> [    0.000000] efi: UEFI not found.
>> [    0.000000] cma: Reserved 16 MiB at 0x4f000000
>> [    0.000000] psci: probing for conduit method from DT.
>> [    0.000000] psci: PSCIv0.2 detected in firmware.
>> [    0.000000] psci: Using standard PSCI v0.2 function IDs
>> [    0.000000] psci: Trusted OS migration not required
>> [    0.000000] random: get_random_bytes called from
>> start_kernel+0xa0/0x50c with crng_init=0
>> [    0.000000] percpu: Embedded 17 pages/cpu @(ptrval) s38732 r8192
>> d22708 u69632
>> [    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 64960
>> [    0.000000] Kernel command line: panic=1
>> --load=/gnu/store/ip9p4q62fbgm2r2xnnh8qi5p77k2igas-linux-vm-loader
>> console=ttyAMA0
>> [    0.000000] Dentry cache hash table entries: 32768 (order: 5, 131072 bytes)
>> [    0.000000] Inode-cache hash table entries: 16384 (order: 4, 65536 bytes)
>> [    0.000000] Memory: 214952K/262144K available (9216K kernel code,
>> 1133K rwdata, 2612K rodata, 2048K init, 310K bss, 30808K reserved,
>> 16384K cma-reserved, 0K highmem)
>> [    0.000000] Virtual kernel memory layout:
>> [    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
>> [    0.000000]     fixmap  : 0xffc00000 - 0xfff00000   (3072 kB)
>> [    0.000000]     vmalloc : 0xd0800000 - 0xff800000   ( 752 MB)
>> [    0.000000]     lowmem  : 0xc0000000 - 0xd0000000   ( 256 MB)
>> [    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)
>> [    0.000000]     modules : 0xbf000000 - 0xbfe00000   (  14 MB)
>> [    0.000000]       .text : 0x(ptrval) - 0x(ptrval)   (10208 kB)
>> [    0.000000]       .init : 0x(ptrval) - 0x(ptrval)   (2048 kB)
>> [    0.000000]       .data : 0x(ptrval) - 0x(ptrval)   (1134 kB)
>> [    0.000000]        .bss : 0x(ptrval) - 0x(ptrval)   ( 311 kB)
>> [    0.000000] ftrace: allocating 33359 entries in 98 pages
>> [    0.000000] rcu: Hierarchical RCU implementation.
>> [    0.000000] rcu:     RCU restricting CPUs from NR_CPUS=8 to nr_cpu_ids=1.
>> [    0.000000] rcu: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=1
>> [    0.000000] NR_IRQS: 16, nr_irqs: 16, preallocated irqs: 16
>> [    0.000000] GICv2m: range[mem 0x08020000-0x08020fff], SPI[80:143]
>> [    0.000000] arch_timer: cp15 timer(s) running at 62.50MHz (virt).
>> [    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff
>> max_cycles: 0x1cd42e208c, max_idle_ns: 881590405314 ns
>> [    0.003589] sched_clock: 56 bits at 62MHz, resolution 16ns, wraps
>> every 4398046511096ns
>> [    0.006045] Switching to timer-based delay loop, resolution 16ns
>> [    0.308537] Console: colour dummy device 80x30
>> [    0.365555] Calibrating delay loop (skipped), value calculated
>> using timer frequency.. 125.00 BogoMIPS (lpj=250000)
>> [    0.373670] pid_max: default: 32768 minimum: 301
>> [    0.426475] Security Framework initialized
>> [    0.431096] Yama: becoming mindful.
>> [    0.506448] AppArmor: AppArmor initialized
>> [    0.535772] Mount-cache hash table entries: 1024 (order: 0, 4096 bytes)
>> [    0.543395] Mountpoint-cache hash table entries: 1024 (order: 0, 4096 bytes)
>> [    0.965208] CPU: Testing write buffer coherency: ok
>> [    0.998104] CPU0: Spectre v2: firmware did not set auxiliary
>> control register IBE bit, system vulnerable
>> [    1.411470] /cpus/cpu@0 missing clock-frequency property
>> [    1.428729] CPU0: thread -1, cpu 0, socket 0, mpidr 80000000
>> [    1.698318] Setting up static identity map for 0x40100000 - 0x401000a0
>> [    1.748454] rcu: Hierarchical SRCU implementation.
>> [    1.926086] EFI services will not be available.
>> [    1.993192] smp: Bringing up secondary CPUs ...
>> [    1.994874] smp: Brought up 1 node, 1 CPU
>> [    1.997851] SMP: Total of 1 processors activated (125.00 BogoMIPS).
>> [    1.998883] CPU: All CPU(s) started in SVC mode.
>> [    2.503281] devtmpfs: initialized
>> [    3.198070] VFP support v0.3: implementor 41 architecture 4 part 30
>> variant f rev 0
>> [    3.746420] clocksource: jiffies: mask: 0xffffffff max_cycles:
>> 0xffffffff, max_idle_ns: 7645041785100000 ns
>> [    3.775416] futex hash table entries: 256 (order: 2, 16384 bytes)
>> [    4.121161] pinctrl core: initialized pinctrl subsystem
>> [    4.513079] DMI not present or invalid.
>> [    4.901725] NET: Registered protocol family 16
>> [    5.171532] DMA: preallocated 256 KiB pool for atomic coherent allocations
>> [    5.247930] audit: initializing netlink subsys (disabled)
>> [    5.429698] audit: type=2000 audit(3.640:1): state=initialized
>> audit_enabled=0 res=1
>> [    5.571864] No ATAGs?
>> [    5.603824] hw-breakpoint: found 5 (+1 reserved) breakpoint and 4
>> watchpoint registers.
>> [    5.605465] hw-breakpoint: maximum watchpoint size is 8 bytes.
>> [    5.716942] Serial: AMBA PL011 UART driver
>> [    6.689400] 9000000.pl011: ttyAMA0 at MMIO 0x9000000 (irq = 54,
>> base_baud = 0) is a PL011 rev1
>> [    6.818013] console [ttyAMA0] enabled
>> [...]
>> [   73.272363] pl061_gpio 9030000.pl061: PL061 GPIO chip @0x09030000 registered
>> [   73.354536] pci-host-generic 4010000000.pcie: host bridge
>> /pcie@10000000 ranges:
>> [   73.383612] pci-host-generic 4010000000.pcie:    IO
>> 0x3eff0000..0x3effffff -> 0x00000000
>> [   73.405201] pci-host-generic 4010000000.pcie:   MEM
>> 0x10000000..0x3efeffff -> 0x10000000
>> [   73.413035] pci-host-generic 4010000000.pcie:   MEM
>> 0x8000000000..0xffffffffff -> 0x8000000000
>> [   73.449129] pci-host-generic 4010000000.pcie: can't claim ECAM area
>> [mem 0x10000000-0x1fffffff]: address conflict with pcie@10000000 [mem
>> 0x10000000-0x3efeffff]
>> [   73.511869] pci-host-generic: probe of 4010000000.pcie failed with error -16
>> [   74.049180] Serial: 8250/16550 driver, 4 ports, IRQ sharing disabled
>> [   74.184595] Serial: AMBA driver
>> [...]
>> [   78.969555] Run /init as init process
>> [   80.062608] hrtimer: interrupt took 110418352 ns
>> GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main thread
>> GC Warning: Couldn't read /proc/stat
>> Welcome, this is GNU's early boot Guile.
>> Use '--repl' for an initrd REPL.
>>
>> loading kernel modules...
>> [  135.306635] SCSI subsystem initialized
>> [  136.419610] Unable to handle kernel paging request at virtual
>> address ea0003ff
>> [  136.432562] pgd = (ptrval)
>> [  136.434175] [ea0003ff] *pgd=00000000
>> [  136.443714] Internal error: Oops: 5 [#1] SMP ARM
>> [  136.448388] Modules linked in: libata(+) scsi_mod
>> [  136.459458] CPU: 0 PID: 1 Comm: init Not tainted 4.19.11-gnu #1
>> [  136.461282] Hardware name: Generic DT based system
>> [  136.477596] PC is at ata_attach_transport+0xd8/0x274 [libata]
>> [  136.483380] LR is at 0x124
>> [  136.484240] pc : [<bf05c190>]    lr : [<00000124>]    psr: 60000013
>> [  136.485268] sp : ce0fdcf0  ip : ea0003ff  fp : ce0fdd1c
>> [  136.486473] r10: 00000000  r9 : ea00041f  r8 : ea00040f
>> [  136.487498] r7 : ce3fc8bc  r6 : ce3fc8dc  r5 : ce3fc8cc  r4 : ce3fc800
>> [  136.488614] r3 : ce0ed040  r2 : 00000000  r1 : c10d3b14  r0 : 00000000
>> [  136.490476] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment none
>> [  136.492057] Control: 10c5387d  Table: 4e34406a  DAC: 00000051
>> [  136.494159] Process init (pid: 1, stack limit = 0x(ptrval))
>> [  136.495663] Stack: (0xce0fdcf0 to 0xce0fe000)
>> [  136.499157] dce0:                                     00000001
>> 00000000 bf0778c8 c1005dcc
>> [  136.501950] dd00: bf079000 ffffffff bf078000 00000000 ce0fdd9c
>> ce0fdd20 bf077c10 bf05c0c4
>> [  136.504080] dd20: c0f1e6b0 bf06f140 c1005dcc ce0fdd38 c01ceb30
>> bf078000 ce0fdd54 ffffffff
>> [  136.506036] dd40: c0155458 c01ceb24 ce0fdd7c ce0fdd58 c01bbaac
>> c01553d0 c10067b4 d082000c
>> [  136.508122] dd60: ce0fdda8 d0820000 d0821000 f28f9aeb ce0fdda4
>> bf06ef40 bf0778c8 c1005dcc
>> [  136.510236] dd80: 00000000 bf06ef4c bf06ef40 c1005dcc ce0fde14
>> ce0fdda0 c01035d8 bf0778d4
>> [  136.512143] dda0: c0101a0c f28f9aeb ce327600 c0979f74 ce000600
>> ce000600 ce0fddd4 ce0fddc8
>> [  136.514144] ddc0: c0979f74 c01ce7d0 ce0fde14 ce0fddd8 c0308ab4
>> c0979f50 ce0fde04 ce0fdde8
>> [  136.516233] dde0: c0309c5c c03090e4 00000052 f28f9aeb ce0fdf38
>> bf06ef40 ce0fdf38 ce3321c0
>> [  136.518293] de00: bf06f070 bf06ef4c ce0fde3c ce0fde18 c01fb75c
>> c0103594 ce0fde3c ce0fde28
>> [  136.520436] de20: c02f3410 00000000 ce0fdf38 bf06f040 ce0fdf14
>> ce0fde40 c01fa210 c01fb6f4
>> [  136.522398] de40: ffff8000 00007fff bf06ef40 c01f778c ce0fde98
>> d0820000 c1005dcc c0a08334
>> [  136.524853] de60: bf06f054 bf06ef44 00000a2c bf071000 014f9cf8
>> c0c3d374 ffffffff c0c5b674
>> [  136.526866] de80: c0101204 ce0fc000 ce0fdf14 ce0fde98 bf062024
>> 00000006 bf062054 000000bf
>> [  136.528885] dea0: 00000000 00000000 6e72656b 00006c65 00000000
>> 00000000 00000000 00000000
>> [  136.531078] dec0: 00000000 00000000 00000000 00000000 00000000
>> 00000000 00000000 00000000
>> [  136.533045] dee0: 00000000 f28f9aeb 7fffffff c1005dcc 00000000
>> 0000000a 014f9cf8 c0101204
>> [  136.534976] df00: ce0fc000 0000017b ce0fdfa4 ce0fdf18 c01fa9c4
>> c01f84e4 7fffffff 00000000
>> [  136.537150] df20: 00000003 ce0fc000 ce0fdf5c d08cf000 00051ca8
>> 00000000 d08f06f3 d08fefc0
>> [  136.539224] df40: d08cf000 00051ca8 d09201e0 d091ff38 d0909544
>> 0002d000 0002f250 00000000
>> [  136.541281] df60: 00000000 00000000 0001490c 00000042 00000043
>> 0000003c 0000002a 0000001b
>> [  136.543248] df80: 00000000 f28f9aeb 00000004 b58dac90 00053e77
>> 0000017b 00000000 ce0fdfa8
>> [  136.545223] dfa0: c0101000 c01fa8f4 00000004 b58dac90 0000000a
>> 014f9cf8 00000000 015bbf78
>> [  136.548002] dfc0: 00000004 b58dac90 00053e77 0000017b 002b39d0
>> 0029b25c 00161fec 00000002
>> [  136.550771] dfe0: bec661d0 bec661c0 0005c7a9 0011d1e2 60000030
>> 0000000a 00000000 00000000
>> [  136.578059] [<bf05c190>] (ata_attach_transport [libata]) from
>> [<bf077c10>] (ata_init+0x348/0x39c [libata])
>> [  136.589371] [<bf077c10>] (ata_init [libata]) from [<c01035d8>]
>> (do_one_initcall+0x50/0x214)
>> [  136.596083] [<c01035d8>] (do_one_initcall) from [<c01fb75c>]
>> (do_init_module+0x74/0x224)
>> [  136.598342] [<c01fb75c>] (do_init_module) from [<c01fa210>]
>> (load_module+0x1d38/0x2228)
>> [  136.599851] [<c01fa210>] (load_module) from [<c01fa9c4>]
>> (sys_finit_module+0xdc/0x110)
>> [  136.601640] [<c01fa9c4>] (sys_finit_module) from [<c0101000>]
>> (ret_fast_syscall+0x0/0x54)
>> [  136.603227] Exception stack(0xce0fdfa8 to 0xce0fdff0)
>> [  136.605053] dfa0:                   00000004 b58dac90 0000000a
>> 014f9cf8 00000000 015bbf78
>> [  136.607122] dfc0: 00000004 b58dac90 00053e77 0000017b 002b39d0
>> 0029b25c 00161fec 00000002
>> [  136.608630] dfe0: bec661d0 bec661c0 0005c7a9 0011d1e2
>> [  136.616749] Code: e59fc1a0 e3a0ef49 e28c8010 e28c9020 (e89c000f)
>> [  136.631449] ---[ end trace c34b1e9ba28742f3 ]---
>>
>> And then it hangs seemingly indefinitely.
> 
> I just tried on 
> 
> Git checkout:
>   repository: /home/sdb/src/guix
>   branch: HEAD
>   commit: d15211c9b5b46b96c5b658329624942b6ff5c917
> 
> and got:
> 
> building /gnu/store/ngyvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv...
> @ unsupported-platform
> /gnu/store/ngyvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv armhf-linux
> while setting up the build environment: a `armhf-linux' is required to
> build `/gnu/store/ngyvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv', but I
> am a `i686-linux'
> builder for `/gnu/store/ngyvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv'
> failed with exit code 1
> build of /gnu/store/ngyvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv
> failed
> View build log at
> '/var/log/guix/drvs/ng/yvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv.bz2'.
> substituting
> /gnu/store/1aclmh7jy2j5084kdpbcz5xgmdzvjzzj-fontconfig-2.13.1...
> cannot build derivation
> `/gnu/store/hr975r813adrn92f2g7f14z39086hnbx-coreutils-8.30.drv': 1
> dependencies couldn't be built
> killing process 2725
> cannot build derivation
> `/gnu/store/c56fwipfpdpii95420xcwf3vamy3n2pa-python-3.7.0.drv': 1
> dependencies couldn't be built
> cannot build derivation
> `/gnu/store/3v425ipvhz4w2rll3phfzhq5kpaczwg4-python-wrapper-3.7.0.drv':
> 1 dependencies couldn't be built
> guix system: error: build failed: build of
> `/gnu/store/3v425ipvhz4w2rll3phfzhq5kpaczwg4-python-wrapper-3.7.0.drv'
> failed

I'm on x86_64 hardware running a i686 guix

Tried again and got this:

building
/gnu/store/c9d3ga47xx8izflj9r1xgf1y6y39yskq-python2-2.7.15.drv...
@ unsupported-platform
/gnu/store/c9d3ga47xx8izflj9r1xgf1y6y39yskq-python2-2.7.15.drv
armhf-linux
while setting up the build environment: a `armhf-linux' is required to
build `/gnu/store/c9d3ga47xx8izflj9r1xgf1y6y39yskq-python2-2.7.15.drv',
but I am a `i686-linux'
builder for
`/gnu/store/c9d3ga47xx8izflj9r1xgf1y6y39yskq-python2-2.7.15.drv' failed
with exit code 1
build of /gnu/store/c9d3ga47xx8izflj9r1xgf1y6y39yskq-python2-2.7.15.drv
failed
View build log at
'/var/log/guix/drvs/c9/d3ga47xx8izflj9r1xgf1y6y39yskq-python2-2.7.15.drv.bz2'.
guix system: error: build failed: build of
`/gnu/store/c9d3ga47xx8izflj9r1xgf1y6y39yskq-python2-2.7.15.drv' failed


-- 
Cheers 
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 22 Dec 2018 08:44:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 22 03:44:19 2018
Received: from localhost ([127.0.0.1]:59107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gactP-0002m8-KO
	for submit <at> debbugs.gnu.org; Sat, 22 Dec 2018 03:44:19 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:46056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gactM-0002ly-Ub
 for 33676 <at> debbugs.gnu.org; Sat, 22 Dec 2018 03:44:17 -0500
Received: from localhost (77.117.128.10.wireless.dyn.drei.com [77.117.128.10])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 43BF83360727;
 Sat, 22 Dec 2018 09:44:15 +0100 (CET)
Date: Sat, 22 Dec 2018 09:44:11 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: swedebugia@HIDDEN
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181222094411.3e8fd6cd@HIDDEN>
In-Reply-To: <c04fae8746e55cbc9c35927d4886b353@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>
 <20181210211224.GA7317@jurong>
 <20181222000957.424e2213@HIDDEN>
 <c04fae8746e55cbc9c35927d4886b353@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/nMpC4AB3SIL3iG+bRAkjSfI"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Andreas Enge <andreas@HIDDEN>, 33676 <at> debbugs.gnu.org,
 ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/nMpC4AB3SIL3iG+bRAkjSfI
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Please add to your /etc/config.scm to the "services" section:

(service qemu-binfmt-service-type
                     (qemu-binfmt-configuration
                       (platforms (lookup-qemu-platforms "arm"))
                       (guix-support? #t)))

--Sig_/nMpC4AB3SIL3iG+bRAkjSfI
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwd+VsACgkQ5xo1VCww
uqUbRAf/WJiETaeIA6PHC3qBPEjOKAuwgL7fSJPbR26Wlv/WDP+tMZomn5OH0FH4
VHHnAEHonzzYUni88HZa9Vt8N0SMLo+XhDibwpuGKYfiRc4QHfR7nKWH57r47xcm
m7NSK9lKU8Aih7b/h08Mq9dBq7kWHEv2N2lMVgnZF3oar+jsjEXPmdEy2C+bB8ql
2vtDhoh95KA4OSAw96vMRwWTUk7AD1XtMDNE/g5fOHkJftf9Ij21+Q+shJEEOSvS
seJE2uhtkUl3LHL0aG8JPQQpvB+Keyxlyq48Qg3eBNHAUAXNOmVdQ4VmcFCf9PNz
X5tQV5NsedBNQlR01cJlCS47OkzHXw==
=KJ8p
-----END PGP SIGNATURE-----

--Sig_/nMpC4AB3SIL3iG+bRAkjSfI--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 22 Dec 2018 08:33:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 22 03:33:38 2018
Received: from localhost ([127.0.0.1]:59102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gacj4-0002X1-Eh
	for submit <at> debbugs.gnu.org; Sat, 22 Dec 2018 03:33:38 -0500
Received: from mx1.riseup.net ([198.252.153.129]:45002)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gacj2-0002Wt-Iz
 for 33676 <at> debbugs.gnu.org; Sat, 22 Dec 2018 03:33:37 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 9E4081A041A;
 Sat, 22 Dec 2018 00:33:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1545467615; bh=p8Qg61d00WzsPdQGCAqZX1F82LWkoP+rcSfaG5HeA7Y=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=CjcKCJQcLVv/9CRuYgS4WWYVSb51F57aKTrMIPssxrn9yScZbizQBz3AdNAHsfY/Z
 XsD169Ftb4vCUAxAy0hJ63kNprSI9OdLQQ8ZmwOCpGv/oq2SiBPybImY314DrRnocs
 WgNyU2k/aTvWJqJIJagtO1F3goCoeTeuF4XBHdfk=
X-Riseup-User-ID: CFCF927066CE1CEE373EDCEC2FB0AAA5B28409EE993AC014E4274DB8C69A69B1
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 4D91F6C64C;
 Sat, 22 Dec 2018 00:33:34 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Date: Sat, 22 Dec 2018 00:33:33 -0800
From: swedebugia@HIDDEN
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
In-Reply-To: <20181222000957.424e2213@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN> <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>  <20181210211224.GA7317@jurong>;
 <20181222000957.424e2213@HIDDEN>
Message-ID: <c04fae8746e55cbc9c35927d4886b353@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Andreas Enge <andreas@HIDDEN>, 33676 <at> debbugs.gnu.org,
 ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-12-22 00:09, Danny Milosavljevic wrote:
> Now I get:
> 
> $ # commit 39c676c4a3507863f4edf20b225ace4cbf646ed6
> $ ./pre-inst-env guix system disk-image --system=armhf-linux -e
> '(begin (use-modules (gnu system) (gnu bootloader) (gnu bootloader
> u-boot) (gnu system install)) (operating-system (inherit
> installation-os) (bootloader (bootloader-configuration (bootloader
> u-boot-bootloader) (target #f)))))' >QQQ3 2>&1
> [...]
> The following derivation will be built:
>    /gnu/store/shgfclh6yy1a03hl0c293s89y3qm9033-disk-image.drv
> building /gnu/store/shgfclh6yy1a03hl0c293s89y3qm9033-disk-image.drv...
> environment variable `PATH' set to
> `/gnu/store/cm3j1pzdqhw4s9bg1drwlm3lw3qxzddj-qemu-minimal-3.1.0/bin:/gnu/store/hb2qj35yxmvxzcq99lbfcpija032wdzh-coreutils-8.30/bin'
> creating raw image of 1265.54 MiB...
> Formatting '/gnu/store/9wbw2vbpgg3pwlg9xr7jbniyca0nra2q-disk-image',
> fmt=raw size=1327019190
> [    0.000000] Booting Linux on physical CPU 0x0
> [    0.000000] Linux version 4.19.11-gnu (nixbld@) (gcc version 5.5.0
> (GCC)) #1 SMP 1
> [    0.000000] CPU: ARMv7 Processor [412fc0f1] revision 1 (ARMv7), cr=10c5387d
> [    0.000000] CPU: div instructions available: patching division code
> [    0.000000] CPU: PIPT / VIPT nonaliasing data cache, PIPT instruction cache
> [    0.000000] OF: fdt: Machine model: linux,dummy-virt
> [    0.000000] Memory policy: Data cache writealloc
> [    0.000000] efi: Getting EFI parameters from FDT:
> [    0.000000] efi: UEFI not found.
> [    0.000000] cma: Reserved 16 MiB at 0x4f000000
> [    0.000000] psci: probing for conduit method from DT.
> [    0.000000] psci: PSCIv0.2 detected in firmware.
> [    0.000000] psci: Using standard PSCI v0.2 function IDs
> [    0.000000] psci: Trusted OS migration not required
> [    0.000000] random: get_random_bytes called from
> start_kernel+0xa0/0x50c with crng_init=0
> [    0.000000] percpu: Embedded 17 pages/cpu @(ptrval) s38732 r8192
> d22708 u69632
> [    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 64960
> [    0.000000] Kernel command line: panic=1
> --load=/gnu/store/ip9p4q62fbgm2r2xnnh8qi5p77k2igas-linux-vm-loader
> console=ttyAMA0
> [    0.000000] Dentry cache hash table entries: 32768 (order: 5, 131072 bytes)
> [    0.000000] Inode-cache hash table entries: 16384 (order: 4, 65536 bytes)
> [    0.000000] Memory: 214952K/262144K available (9216K kernel code,
> 1133K rwdata, 2612K rodata, 2048K init, 310K bss, 30808K reserved,
> 16384K cma-reserved, 0K highmem)
> [    0.000000] Virtual kernel memory layout:
> [    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
> [    0.000000]     fixmap  : 0xffc00000 - 0xfff00000   (3072 kB)
> [    0.000000]     vmalloc : 0xd0800000 - 0xff800000   ( 752 MB)
> [    0.000000]     lowmem  : 0xc0000000 - 0xd0000000   ( 256 MB)
> [    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)
> [    0.000000]     modules : 0xbf000000 - 0xbfe00000   (  14 MB)
> [    0.000000]       .text : 0x(ptrval) - 0x(ptrval)   (10208 kB)
> [    0.000000]       .init : 0x(ptrval) - 0x(ptrval)   (2048 kB)
> [    0.000000]       .data : 0x(ptrval) - 0x(ptrval)   (1134 kB)
> [    0.000000]        .bss : 0x(ptrval) - 0x(ptrval)   ( 311 kB)
> [    0.000000] ftrace: allocating 33359 entries in 98 pages
> [    0.000000] rcu: Hierarchical RCU implementation.
> [    0.000000] rcu:     RCU restricting CPUs from NR_CPUS=8 to nr_cpu_ids=1.
> [    0.000000] rcu: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=1
> [    0.000000] NR_IRQS: 16, nr_irqs: 16, preallocated irqs: 16
> [    0.000000] GICv2m: range[mem 0x08020000-0x08020fff], SPI[80:143]
> [    0.000000] arch_timer: cp15 timer(s) running at 62.50MHz (virt).
> [    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff
> max_cycles: 0x1cd42e208c, max_idle_ns: 881590405314 ns
> [    0.003589] sched_clock: 56 bits at 62MHz, resolution 16ns, wraps
> every 4398046511096ns
> [    0.006045] Switching to timer-based delay loop, resolution 16ns
> [    0.308537] Console: colour dummy device 80x30
> [    0.365555] Calibrating delay loop (skipped), value calculated
> using timer frequency.. 125.00 BogoMIPS (lpj=250000)
> [    0.373670] pid_max: default: 32768 minimum: 301
> [    0.426475] Security Framework initialized
> [    0.431096] Yama: becoming mindful.
> [    0.506448] AppArmor: AppArmor initialized
> [    0.535772] Mount-cache hash table entries: 1024 (order: 0, 4096 bytes)
> [    0.543395] Mountpoint-cache hash table entries: 1024 (order: 0, 4096 bytes)
> [    0.965208] CPU: Testing write buffer coherency: ok
> [    0.998104] CPU0: Spectre v2: firmware did not set auxiliary
> control register IBE bit, system vulnerable
> [    1.411470] /cpus/cpu@0 missing clock-frequency property
> [    1.428729] CPU0: thread -1, cpu 0, socket 0, mpidr 80000000
> [    1.698318] Setting up static identity map for 0x40100000 - 0x401000a0
> [    1.748454] rcu: Hierarchical SRCU implementation.
> [    1.926086] EFI services will not be available.
> [    1.993192] smp: Bringing up secondary CPUs ...
> [    1.994874] smp: Brought up 1 node, 1 CPU
> [    1.997851] SMP: Total of 1 processors activated (125.00 BogoMIPS).
> [    1.998883] CPU: All CPU(s) started in SVC mode.
> [    2.503281] devtmpfs: initialized
> [    3.198070] VFP support v0.3: implementor 41 architecture 4 part 30
> variant f rev 0
> [    3.746420] clocksource: jiffies: mask: 0xffffffff max_cycles:
> 0xffffffff, max_idle_ns: 7645041785100000 ns
> [    3.775416] futex hash table entries: 256 (order: 2, 16384 bytes)
> [    4.121161] pinctrl core: initialized pinctrl subsystem
> [    4.513079] DMI not present or invalid.
> [    4.901725] NET: Registered protocol family 16
> [    5.171532] DMA: preallocated 256 KiB pool for atomic coherent allocations
> [    5.247930] audit: initializing netlink subsys (disabled)
> [    5.429698] audit: type=2000 audit(3.640:1): state=initialized
> audit_enabled=0 res=1
> [    5.571864] No ATAGs?
> [    5.603824] hw-breakpoint: found 5 (+1 reserved) breakpoint and 4
> watchpoint registers.
> [    5.605465] hw-breakpoint: maximum watchpoint size is 8 bytes.
> [    5.716942] Serial: AMBA PL011 UART driver
> [    6.689400] 9000000.pl011: ttyAMA0 at MMIO 0x9000000 (irq = 54,
> base_baud = 0) is a PL011 rev1
> [    6.818013] console [ttyAMA0] enabled
> [...]
> [   73.272363] pl061_gpio 9030000.pl061: PL061 GPIO chip @0x09030000 registered
> [   73.354536] pci-host-generic 4010000000.pcie: host bridge
> /pcie@10000000 ranges:
> [   73.383612] pci-host-generic 4010000000.pcie:    IO
> 0x3eff0000..0x3effffff -> 0x00000000
> [   73.405201] pci-host-generic 4010000000.pcie:   MEM
> 0x10000000..0x3efeffff -> 0x10000000
> [   73.413035] pci-host-generic 4010000000.pcie:   MEM
> 0x8000000000..0xffffffffff -> 0x8000000000
> [   73.449129] pci-host-generic 4010000000.pcie: can't claim ECAM area
> [mem 0x10000000-0x1fffffff]: address conflict with pcie@10000000 [mem
> 0x10000000-0x3efeffff]
> [   73.511869] pci-host-generic: probe of 4010000000.pcie failed with error -16
> [   74.049180] Serial: 8250/16550 driver, 4 ports, IRQ sharing disabled
> [   74.184595] Serial: AMBA driver
> [...]
> [   78.969555] Run /init as init process
> [   80.062608] hrtimer: interrupt took 110418352 ns
> GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main thread
> GC Warning: Couldn't read /proc/stat
> Welcome, this is GNU's early boot Guile.
> Use '--repl' for an initrd REPL.
> 
> loading kernel modules...
> [  135.306635] SCSI subsystem initialized
> [  136.419610] Unable to handle kernel paging request at virtual
> address ea0003ff
> [  136.432562] pgd = (ptrval)
> [  136.434175] [ea0003ff] *pgd=00000000
> [  136.443714] Internal error: Oops: 5 [#1] SMP ARM
> [  136.448388] Modules linked in: libata(+) scsi_mod
> [  136.459458] CPU: 0 PID: 1 Comm: init Not tainted 4.19.11-gnu #1
> [  136.461282] Hardware name: Generic DT based system
> [  136.477596] PC is at ata_attach_transport+0xd8/0x274 [libata]
> [  136.483380] LR is at 0x124
> [  136.484240] pc : [<bf05c190>]    lr : [<00000124>]    psr: 60000013
> [  136.485268] sp : ce0fdcf0  ip : ea0003ff  fp : ce0fdd1c
> [  136.486473] r10: 00000000  r9 : ea00041f  r8 : ea00040f
> [  136.487498] r7 : ce3fc8bc  r6 : ce3fc8dc  r5 : ce3fc8cc  r4 : ce3fc800
> [  136.488614] r3 : ce0ed040  r2 : 00000000  r1 : c10d3b14  r0 : 00000000
> [  136.490476] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment none
> [  136.492057] Control: 10c5387d  Table: 4e34406a  DAC: 00000051
> [  136.494159] Process init (pid: 1, stack limit = 0x(ptrval))
> [  136.495663] Stack: (0xce0fdcf0 to 0xce0fe000)
> [  136.499157] dce0:                                     00000001
> 00000000 bf0778c8 c1005dcc
> [  136.501950] dd00: bf079000 ffffffff bf078000 00000000 ce0fdd9c
> ce0fdd20 bf077c10 bf05c0c4
> [  136.504080] dd20: c0f1e6b0 bf06f140 c1005dcc ce0fdd38 c01ceb30
> bf078000 ce0fdd54 ffffffff
> [  136.506036] dd40: c0155458 c01ceb24 ce0fdd7c ce0fdd58 c01bbaac
> c01553d0 c10067b4 d082000c
> [  136.508122] dd60: ce0fdda8 d0820000 d0821000 f28f9aeb ce0fdda4
> bf06ef40 bf0778c8 c1005dcc
> [  136.510236] dd80: 00000000 bf06ef4c bf06ef40 c1005dcc ce0fde14
> ce0fdda0 c01035d8 bf0778d4
> [  136.512143] dda0: c0101a0c f28f9aeb ce327600 c0979f74 ce000600
> ce000600 ce0fddd4 ce0fddc8
> [  136.514144] ddc0: c0979f74 c01ce7d0 ce0fde14 ce0fddd8 c0308ab4
> c0979f50 ce0fde04 ce0fdde8
> [  136.516233] dde0: c0309c5c c03090e4 00000052 f28f9aeb ce0fdf38
> bf06ef40 ce0fdf38 ce3321c0
> [  136.518293] de00: bf06f070 bf06ef4c ce0fde3c ce0fde18 c01fb75c
> c0103594 ce0fde3c ce0fde28
> [  136.520436] de20: c02f3410 00000000 ce0fdf38 bf06f040 ce0fdf14
> ce0fde40 c01fa210 c01fb6f4
> [  136.522398] de40: ffff8000 00007fff bf06ef40 c01f778c ce0fde98
> d0820000 c1005dcc c0a08334
> [  136.524853] de60: bf06f054 bf06ef44 00000a2c bf071000 014f9cf8
> c0c3d374 ffffffff c0c5b674
> [  136.526866] de80: c0101204 ce0fc000 ce0fdf14 ce0fde98 bf062024
> 00000006 bf062054 000000bf
> [  136.528885] dea0: 00000000 00000000 6e72656b 00006c65 00000000
> 00000000 00000000 00000000
> [  136.531078] dec0: 00000000 00000000 00000000 00000000 00000000
> 00000000 00000000 00000000
> [  136.533045] dee0: 00000000 f28f9aeb 7fffffff c1005dcc 00000000
> 0000000a 014f9cf8 c0101204
> [  136.534976] df00: ce0fc000 0000017b ce0fdfa4 ce0fdf18 c01fa9c4
> c01f84e4 7fffffff 00000000
> [  136.537150] df20: 00000003 ce0fc000 ce0fdf5c d08cf000 00051ca8
> 00000000 d08f06f3 d08fefc0
> [  136.539224] df40: d08cf000 00051ca8 d09201e0 d091ff38 d0909544
> 0002d000 0002f250 00000000
> [  136.541281] df60: 00000000 00000000 0001490c 00000042 00000043
> 0000003c 0000002a 0000001b
> [  136.543248] df80: 00000000 f28f9aeb 00000004 b58dac90 00053e77
> 0000017b 00000000 ce0fdfa8
> [  136.545223] dfa0: c0101000 c01fa8f4 00000004 b58dac90 0000000a
> 014f9cf8 00000000 015bbf78
> [  136.548002] dfc0: 00000004 b58dac90 00053e77 0000017b 002b39d0
> 0029b25c 00161fec 00000002
> [  136.550771] dfe0: bec661d0 bec661c0 0005c7a9 0011d1e2 60000030
> 0000000a 00000000 00000000
> [  136.578059] [<bf05c190>] (ata_attach_transport [libata]) from
> [<bf077c10>] (ata_init+0x348/0x39c [libata])
> [  136.589371] [<bf077c10>] (ata_init [libata]) from [<c01035d8>]
> (do_one_initcall+0x50/0x214)
> [  136.596083] [<c01035d8>] (do_one_initcall) from [<c01fb75c>]
> (do_init_module+0x74/0x224)
> [  136.598342] [<c01fb75c>] (do_init_module) from [<c01fa210>]
> (load_module+0x1d38/0x2228)
> [  136.599851] [<c01fa210>] (load_module) from [<c01fa9c4>]
> (sys_finit_module+0xdc/0x110)
> [  136.601640] [<c01fa9c4>] (sys_finit_module) from [<c0101000>]
> (ret_fast_syscall+0x0/0x54)
> [  136.603227] Exception stack(0xce0fdfa8 to 0xce0fdff0)
> [  136.605053] dfa0:                   00000004 b58dac90 0000000a
> 014f9cf8 00000000 015bbf78
> [  136.607122] dfc0: 00000004 b58dac90 00053e77 0000017b 002b39d0
> 0029b25c 00161fec 00000002
> [  136.608630] dfe0: bec661d0 bec661c0 0005c7a9 0011d1e2
> [  136.616749] Code: e59fc1a0 e3a0ef49 e28c8010 e28c9020 (e89c000f) 
> [  136.631449] ---[ end trace c34b1e9ba28742f3 ]---
> 
> And then it hangs seemingly indefinitely.

I just tried on 

Git checkout:
  repository: /home/sdb/src/guix
  branch: HEAD
  commit: d15211c9b5b46b96c5b658329624942b6ff5c917

and got:

building /gnu/store/ngyvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv...
@ unsupported-platform
/gnu/store/ngyvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv armhf-linux
while setting up the build environment: a `armhf-linux' is required to
build `/gnu/store/ngyvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv', but I
am a `i686-linux'
builder for `/gnu/store/ngyvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv'
failed with exit code 1
build of /gnu/store/ngyvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv
failed
View build log at
'/var/log/guix/drvs/ng/yvqxnj2yndvncpfrkmpc6irfz6k09q-gmp-6.1.2.drv.bz2'.
substituting
/gnu/store/1aclmh7jy2j5084kdpbcz5xgmdzvjzzj-fontconfig-2.13.1...
cannot build derivation
`/gnu/store/hr975r813adrn92f2g7f14z39086hnbx-coreutils-8.30.drv': 1
dependencies couldn't be built
killing process 2725
cannot build derivation
`/gnu/store/c56fwipfpdpii95420xcwf3vamy3n2pa-python-3.7.0.drv': 1
dependencies couldn't be built
cannot build derivation
`/gnu/store/3v425ipvhz4w2rll3phfzhq5kpaczwg4-python-wrapper-3.7.0.drv':
1 dependencies couldn't be built
guix system: error: build failed: build of
`/gnu/store/3v425ipvhz4w2rll3phfzhq5kpaczwg4-python-wrapper-3.7.0.drv'
failed

-- 
Cheers 
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 21 Dec 2018 23:50:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 21 18:50:23 2018
Received: from localhost ([127.0.0.1]:58994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gaUYh-0006EW-3Z
	for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 18:50:23 -0500
Received: from lkcl.net ([217.147.94.29]:34326)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lkcl@HIDDEN>) id 1gaUYf-0006EO-NJ
 for 33676 <at> debbugs.gnu.org; Fri, 21 Dec 2018 18:50:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=lkcl.net;
 s=201607131; 
 h=Content-Type:Cc:To:Subject:Message-ID:Date:From:In-Reply-To:References:MIME-Version;
 bh=IViriWHEtRyzMpD3Gr9rq/hZPJhycZZBeJsJ0Wg1J+c=; 
 b=R7+7PBbhiQZPHpxoi99mKD3lilB+TCG4Mq5afZh8hpR6xjv6wdm4IRT6tegtiKNu4L0g6Ux8wiBhcbxwQbeUaLz1lJx8eyeaXflluMML6kE960EgvtNcS7hCGQO2S3ORkqEViDOBpJs3MQYWdaFXANVWb/Z5qh0EKVktqSpddOA=;
Received: from mail-lf1-f45.google.com ([209.85.167.45])
 by lkcl.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <lkcl@HIDDEN>) id 1gaUYe-0000lq-DL
 for 33676 <at> debbugs.gnu.org; Fri, 21 Dec 2018 23:50:20 +0000
Received: by mail-lf1-f45.google.com with SMTP id y11so5027044lfj.4
 for <33676 <at> debbugs.gnu.org>; Fri, 21 Dec 2018 15:50:05 -0800 (PST)
X-Gm-Message-State: AA+aEWYMBFdRgFrdEHs2b20ic/45Zr2o3pfZ5XEhOq3EbrpiqmofyUR5
 nPc6aKBffkRil/yZxiyKsoQ86CtVOSgW9NE4U/c=
X-Google-Smtp-Source: AFSGD/Usr8P8xm997nFBCk0vgTM5c1+baQMmmkRed6ujsWG5RYqMQAJfsyQSOs+i09fEiY9DVReAsEo0SUoM8gBxB0w=
X-Received: by 2002:a19:280f:: with SMTP id o15mr2401508lfo.0.1545436199581;
 Fri, 21 Dec 2018 15:49:59 -0800 (PST)
MIME-Version: 1.0
References: <20181208181214.2308472a@HIDDEN>
 <CAPweEDyq+Hu7KkmpK_5yf3+p=1EvpSSjAztFPY12yRegYCecew@HIDDEN>
 <20181222000553.06980837@HIDDEN>
In-Reply-To: <20181222000553.06980837@HIDDEN>
From: Luke Kenneth Casson Leighton <lkcl@HIDDEN>
Date: Fri, 21 Dec 2018 23:49:48 +0000
X-Gmail-Original-Message-ID: <CAPweEDydeR5oK-LuDQ4CvAWeixioF+0VPqR+wS2yU5i0VmzLrQ@HIDDEN>
Message-ID: <CAPweEDydeR5oK-LuDQ4CvAWeixioF+0VPqR+wS2yU5i0VmzLrQ@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
To: Danny Milosavljevic <dannym@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33676
Cc: 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Dec 21, 2018 at 11:11 PM Danny Milosavljevic
<dannym@HIDDEN> wrote:

> Yeah, we've now added the linker option to several packages.
> It improves the situation a lot.

 GREAT!  i'll cross-reference to the sourceware bug, that's really
good to hear.  it's not perfect: really, ld needs to be massively
improved, bringing back techniques that were deleted from the source
code at least 15 years ago.

l.




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 21 Dec 2018 23:10:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 21 18:10:01 2018
Received: from localhost ([127.0.0.1]:58968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gaTvd-0005FI-6Y
	for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 18:10:01 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:60914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gaTvb-0005FA-Jc
 for 33676 <at> debbugs.gnu.org; Fri, 21 Dec 2018 18:10:00 -0500
Received: from localhost (77.117.128.10.wireless.dyn.drei.com [77.117.128.10])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 4AAA3336038A;
 Sat, 22 Dec 2018 00:09:58 +0100 (CET)
Date: Sat, 22 Dec 2018 00:09:57 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181222000957.424e2213@HIDDEN>
In-Reply-To: <20181210211224.GA7317@jurong>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>
 <20181210211224.GA7317@jurong>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/dmSEbwSjac71/YsXiW1oP7."; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: swedebugia <swedebugia@HIDDEN>, guix-devel@HIDDEN, ludo@HIDDEN,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/dmSEbwSjac71/YsXiW1oP7.
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Now I get:

$ # commit 39c676c4a3507863f4edf20b225ace4cbf646ed6
$ ./pre-inst-env guix system disk-image --system=3Darmhf-linux -e '(begin (=
use-modules (gnu system) (gnu bootloader) (gnu bootloader u-boot) (gnu syst=
em install)) (operating-system (inherit installation-os) (bootloader (bootl=
oader-configuration (bootloader u-boot-bootloader) (target #f)))))' >QQQ3 2=
>&1
[...]
The following derivation will be built:
   /gnu/store/shgfclh6yy1a03hl0c293s89y3qm9033-disk-image.drv
building /gnu/store/shgfclh6yy1a03hl0c293s89y3qm9033-disk-image.drv...
environment variable `PATH' set to `/gnu/store/cm3j1pzdqhw4s9bg1drwlm3lw3qx=
zddj-qemu-minimal-3.1.0/bin:/gnu/store/hb2qj35yxmvxzcq99lbfcpija032wdzh-cor=
eutils-8.30/bin'
creating raw image of 1265.54 MiB...
Formatting '/gnu/store/9wbw2vbpgg3pwlg9xr7jbniyca0nra2q-disk-image', fmt=3D=
raw size=3D1327019190
[    0.000000] Booting Linux on physical CPU 0x0
[    0.000000] Linux version 4.19.11-gnu (nixbld@) (gcc version 5.5.0 (GCC)=
) #1 SMP 1
[    0.000000] CPU: ARMv7 Processor [412fc0f1] revision 1 (ARMv7), cr=3D10c=
5387d
[    0.000000] CPU: div instructions available: patching division code
[    0.000000] CPU: PIPT / VIPT nonaliasing data cache, PIPT instruction ca=
che
[    0.000000] OF: fdt: Machine model: linux,dummy-virt
[    0.000000] Memory policy: Data cache writealloc
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] efi: UEFI not found.
[    0.000000] cma: Reserved 16 MiB at 0x4f000000
[    0.000000] psci: probing for conduit method from DT.
[    0.000000] psci: PSCIv0.2 detected in firmware.
[    0.000000] psci: Using standard PSCI v0.2 function IDs
[    0.000000] psci: Trusted OS migration not required
[    0.000000] random: get_random_bytes called from start_kernel+0xa0/0x50c=
 with crng_init=3D0
[    0.000000] percpu: Embedded 17 pages/cpu @(ptrval) s38732 r8192 d22708 =
u69632
[    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 64960
[    0.000000] Kernel command line: panic=3D1 --load=3D/gnu/store/ip9p4q62f=
bgm2r2xnnh8qi5p77k2igas-linux-vm-loader console=3DttyAMA0
[    0.000000] Dentry cache hash table entries: 32768 (order: 5, 131072 byt=
es)
[    0.000000] Inode-cache hash table entries: 16384 (order: 4, 65536 bytes)
[    0.000000] Memory: 214952K/262144K available (9216K kernel code, 1133K =
rwdata, 2612K rodata, 2048K init, 310K bss, 30808K reserved, 16384K cma-res=
erved, 0K highmem)
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
[    0.000000]     fixmap  : 0xffc00000 - 0xfff00000   (3072 kB)
[    0.000000]     vmalloc : 0xd0800000 - 0xff800000   ( 752 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xd0000000   ( 256 MB)
[    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)
[    0.000000]     modules : 0xbf000000 - 0xbfe00000   (  14 MB)
[    0.000000]       .text : 0x(ptrval) - 0x(ptrval)   (10208 kB)
[    0.000000]       .init : 0x(ptrval) - 0x(ptrval)   (2048 kB)
[    0.000000]       .data : 0x(ptrval) - 0x(ptrval)   (1134 kB)
[    0.000000]        .bss : 0x(ptrval) - 0x(ptrval)   ( 311 kB)
[    0.000000] ftrace: allocating 33359 entries in 98 pages
[    0.000000] rcu: Hierarchical RCU implementation.
[    0.000000] rcu:     RCU restricting CPUs from NR_CPUS=3D8 to nr_cpu_ids=
=3D1.
[    0.000000] rcu: Adjusting geometry for rcu_fanout_leaf=3D16, nr_cpu_ids=
=3D1
[    0.000000] NR_IRQS: 16, nr_irqs: 16, preallocated irqs: 16
[    0.000000] GICv2m: range[mem 0x08020000-0x08020fff], SPI[80:143]
[    0.000000] arch_timer: cp15 timer(s) running at 62.50MHz (virt).
[    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff max_cy=
cles: 0x1cd42e208c, max_idle_ns: 881590405314 ns
[    0.003589] sched_clock: 56 bits at 62MHz, resolution 16ns, wraps every =
4398046511096ns
[    0.006045] Switching to timer-based delay loop, resolution 16ns
[    0.308537] Console: colour dummy device 80x30
[    0.365555] Calibrating delay loop (skipped), value calculated using tim=
er frequency.. 125.00 BogoMIPS (lpj=3D250000)
[    0.373670] pid_max: default: 32768 minimum: 301
[    0.426475] Security Framework initialized
[    0.431096] Yama: becoming mindful.
[    0.506448] AppArmor: AppArmor initialized
[    0.535772] Mount-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.543395] Mountpoint-cache hash table entries: 1024 (order: 0, 4096 by=
tes)
[    0.965208] CPU: Testing write buffer coherency: ok
[    0.998104] CPU0: Spectre v2: firmware did not set auxiliary control reg=
ister IBE bit, system vulnerable
[    1.411470] /cpus/cpu@0 missing clock-frequency property
[    1.428729] CPU0: thread -1, cpu 0, socket 0, mpidr 80000000
[    1.698318] Setting up static identity map for 0x40100000 - 0x401000a0
[    1.748454] rcu: Hierarchical SRCU implementation.
[    1.926086] EFI services will not be available.
[    1.993192] smp: Bringing up secondary CPUs ...
[    1.994874] smp: Brought up 1 node, 1 CPU
[    1.997851] SMP: Total of 1 processors activated (125.00 BogoMIPS).
[    1.998883] CPU: All CPU(s) started in SVC mode.
[    2.503281] devtmpfs: initialized
[    3.198070] VFP support v0.3: implementor 41 architecture 4 part 30 vari=
ant f rev 0
[    3.746420] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xfffffff=
f, max_idle_ns: 7645041785100000 ns
[    3.775416] futex hash table entries: 256 (order: 2, 16384 bytes)
[    4.121161] pinctrl core: initialized pinctrl subsystem
[    4.513079] DMI not present or invalid.
[    4.901725] NET: Registered protocol family 16
[    5.171532] DMA: preallocated 256 KiB pool for atomic coherent allocatio=
ns
[    5.247930] audit: initializing netlink subsys (disabled)
[    5.429698] audit: type=3D2000 audit(3.640:1): state=3Dinitialized audit=
_enabled=3D0 res=3D1
[    5.571864] No ATAGs?
[    5.603824] hw-breakpoint: found 5 (+1 reserved) breakpoint and 4 watchp=
oint registers.
[    5.605465] hw-breakpoint: maximum watchpoint size is 8 bytes.
[    5.716942] Serial: AMBA PL011 UART driver
[    6.689400] 9000000.pl011: ttyAMA0 at MMIO 0x9000000 (irq =3D 54, base_b=
aud =3D 0) is a PL011 rev1
[    6.818013] console [ttyAMA0] enabled
[...]
[   73.272363] pl061_gpio 9030000.pl061: PL061 GPIO chip @0x09030000 regist=
ered
[   73.354536] pci-host-generic 4010000000.pcie: host bridge /pcie@10000000=
 ranges:
[   73.383612] pci-host-generic 4010000000.pcie:    IO 0x3eff0000..0x3effff=
ff -> 0x00000000
[   73.405201] pci-host-generic 4010000000.pcie:   MEM 0x10000000..0x3efeff=
ff -> 0x10000000
[   73.413035] pci-host-generic 4010000000.pcie:   MEM 0x8000000000..0xffff=
ffffff -> 0x8000000000
[   73.449129] pci-host-generic 4010000000.pcie: can't claim ECAM area [mem=
 0x10000000-0x1fffffff]: address conflict with pcie@10000000 [mem 0x1000000=
0-0x3efeffff]
[   73.511869] pci-host-generic: probe of 4010000000.pcie failed with error=
 -16
[   74.049180] Serial: 8250/16550 driver, 4 ports, IRQ sharing disabled
[   74.184595] Serial: AMBA driver
[...]
[   78.969555] Run /init as init process
[   80.062608] hrtimer: interrupt took 110418352 ns
GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main thr=
ead
GC Warning: Couldn't read /proc/stat
Welcome, this is GNU's early boot Guile.
Use '--repl' for an initrd REPL.

loading kernel modules...
[  135.306635] SCSI subsystem initialized
[  136.419610] Unable to handle kernel paging request at virtual address ea=
0003ff
[  136.432562] pgd =3D (ptrval)
[  136.434175] [ea0003ff] *pgd=3D00000000
[  136.443714] Internal error: Oops: 5 [#1] SMP ARM
[  136.448388] Modules linked in: libata(+) scsi_mod
[  136.459458] CPU: 0 PID: 1 Comm: init Not tainted 4.19.11-gnu #1
[  136.461282] Hardware name: Generic DT based system
[  136.477596] PC is at ata_attach_transport+0xd8/0x274 [libata]
[  136.483380] LR is at 0x124
[  136.484240] pc : [<bf05c190>]    lr : [<00000124>]    psr: 60000013
[  136.485268] sp : ce0fdcf0  ip : ea0003ff  fp : ce0fdd1c
[  136.486473] r10: 00000000  r9 : ea00041f  r8 : ea00040f
[  136.487498] r7 : ce3fc8bc  r6 : ce3fc8dc  r5 : ce3fc8cc  r4 : ce3fc800
[  136.488614] r3 : ce0ed040  r2 : 00000000  r1 : c10d3b14  r0 : 00000000
[  136.490476] Flags: nZCv  IRQs on  FIQs on  Mode SVC_32  ISA ARM  Segment=
 none
[  136.492057] Control: 10c5387d  Table: 4e34406a  DAC: 00000051
[  136.494159] Process init (pid: 1, stack limit =3D 0x(ptrval))
[  136.495663] Stack: (0xce0fdcf0 to 0xce0fe000)
[  136.499157] dce0:                                     00000001 00000000 =
bf0778c8 c1005dcc
[  136.501950] dd00: bf079000 ffffffff bf078000 00000000 ce0fdd9c ce0fdd20 =
bf077c10 bf05c0c4
[  136.504080] dd20: c0f1e6b0 bf06f140 c1005dcc ce0fdd38 c01ceb30 bf078000 =
ce0fdd54 ffffffff
[  136.506036] dd40: c0155458 c01ceb24 ce0fdd7c ce0fdd58 c01bbaac c01553d0 =
c10067b4 d082000c
[  136.508122] dd60: ce0fdda8 d0820000 d0821000 f28f9aeb ce0fdda4 bf06ef40 =
bf0778c8 c1005dcc
[  136.510236] dd80: 00000000 bf06ef4c bf06ef40 c1005dcc ce0fde14 ce0fdda0 =
c01035d8 bf0778d4
[  136.512143] dda0: c0101a0c f28f9aeb ce327600 c0979f74 ce000600 ce000600 =
ce0fddd4 ce0fddc8
[  136.514144] ddc0: c0979f74 c01ce7d0 ce0fde14 ce0fddd8 c0308ab4 c0979f50 =
ce0fde04 ce0fdde8
[  136.516233] dde0: c0309c5c c03090e4 00000052 f28f9aeb ce0fdf38 bf06ef40 =
ce0fdf38 ce3321c0
[  136.518293] de00: bf06f070 bf06ef4c ce0fde3c ce0fde18 c01fb75c c0103594 =
ce0fde3c ce0fde28
[  136.520436] de20: c02f3410 00000000 ce0fdf38 bf06f040 ce0fdf14 ce0fde40 =
c01fa210 c01fb6f4
[  136.522398] de40: ffff8000 00007fff bf06ef40 c01f778c ce0fde98 d0820000 =
c1005dcc c0a08334
[  136.524853] de60: bf06f054 bf06ef44 00000a2c bf071000 014f9cf8 c0c3d374 =
ffffffff c0c5b674
[  136.526866] de80: c0101204 ce0fc000 ce0fdf14 ce0fde98 bf062024 00000006 =
bf062054 000000bf
[  136.528885] dea0: 00000000 00000000 6e72656b 00006c65 00000000 00000000 =
00000000 00000000
[  136.531078] dec0: 00000000 00000000 00000000 00000000 00000000 00000000 =
00000000 00000000
[  136.533045] dee0: 00000000 f28f9aeb 7fffffff c1005dcc 00000000 0000000a =
014f9cf8 c0101204
[  136.534976] df00: ce0fc000 0000017b ce0fdfa4 ce0fdf18 c01fa9c4 c01f84e4 =
7fffffff 00000000
[  136.537150] df20: 00000003 ce0fc000 ce0fdf5c d08cf000 00051ca8 00000000 =
d08f06f3 d08fefc0
[  136.539224] df40: d08cf000 00051ca8 d09201e0 d091ff38 d0909544 0002d000 =
0002f250 00000000
[  136.541281] df60: 00000000 00000000 0001490c 00000042 00000043 0000003c =
0000002a 0000001b
[  136.543248] df80: 00000000 f28f9aeb 00000004 b58dac90 00053e77 0000017b =
00000000 ce0fdfa8
[  136.545223] dfa0: c0101000 c01fa8f4 00000004 b58dac90 0000000a 014f9cf8 =
00000000 015bbf78
[  136.548002] dfc0: 00000004 b58dac90 00053e77 0000017b 002b39d0 0029b25c =
00161fec 00000002
[  136.550771] dfe0: bec661d0 bec661c0 0005c7a9 0011d1e2 60000030 0000000a =
00000000 00000000
[  136.578059] [<bf05c190>] (ata_attach_transport [libata]) from [<bf077c10=
>] (ata_init+0x348/0x39c [libata])
[  136.589371] [<bf077c10>] (ata_init [libata]) from [<c01035d8>] (do_one_i=
nitcall+0x50/0x214)
[  136.596083] [<c01035d8>] (do_one_initcall) from [<c01fb75c>] (do_init_mo=
dule+0x74/0x224)
[  136.598342] [<c01fb75c>] (do_init_module) from [<c01fa210>] (load_module=
+0x1d38/0x2228)
[  136.599851] [<c01fa210>] (load_module) from [<c01fa9c4>] (sys_finit_modu=
le+0xdc/0x110)
[  136.601640] [<c01fa9c4>] (sys_finit_module) from [<c0101000>] (ret_fast_=
syscall+0x0/0x54)
[  136.603227] Exception stack(0xce0fdfa8 to 0xce0fdff0)
[  136.605053] dfa0:                   00000004 b58dac90 0000000a 014f9cf8 =
00000000 015bbf78
[  136.607122] dfc0: 00000004 b58dac90 00053e77 0000017b 002b39d0 0029b25c =
00161fec 00000002
[  136.608630] dfe0: bec661d0 bec661c0 0005c7a9 0011d1e2
[  136.616749] Code: e59fc1a0 e3a0ef49 e28c8010 e28c9020 (e89c000f)=20
[  136.631449] ---[ end trace c34b1e9ba28742f3 ]---

And then it hangs seemingly indefinitely.

--Sig_/dmSEbwSjac71/YsXiW1oP7.
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwdcsUACgkQ5xo1VCww
uqUTfgf6AvkoJWaLLPchOqDrCBL3OCq+IzGcykqkBiqkZvTUMR+AeQuiHrQzxzQD
WgkDbsiNtUOVjgzglpLwJLRXSJejHm3vnGK28N2iDk23deWKKDBJ/I6J7MhfF5l1
mQZRL675T/ABR55Ex/XOb6KNAXXvD0Jn3FG3SMGZUIviJiUXlX2N8Ov3H6j2p7Xa
dFxPMQ4wc8lolyBOiQDNLLmZI0P+o0SS7kMOw1ovA3DlB1x0akuDYaVGze0I30v7
fxdC8UX/Yk2B4dYwYJZ0qUgaex8FRcjc4s3MRPMbKYV46CLALc0r3ZROR4Gv7mQ2
auIx0v7TBWJRRr7rPxxaytQmDU7ctA==
=VMrK
-----END PGP SIGNATURE-----

--Sig_/dmSEbwSjac71/YsXiW1oP7.--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 21 Dec 2018 23:06:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 21 18:06:02 2018
Received: from localhost ([127.0.0.1]:58963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gaTrm-00059k-Ly
	for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 18:06:02 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:60532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gaTrl-00059M-EB
 for 33676 <at> debbugs.gnu.org; Fri, 21 Dec 2018 18:06:01 -0500
Received: from localhost (77.117.128.10.wireless.dyn.drei.com [77.117.128.10])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id C177A3360156;
 Sat, 22 Dec 2018 00:05:59 +0100 (CET)
Date: Sat, 22 Dec 2018 00:05:53 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Luke Kenneth Casson Leighton <lkcl@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181222000553.06980837@HIDDEN>
In-Reply-To: <CAPweEDyq+Hu7KkmpK_5yf3+p=1EvpSSjAztFPY12yRegYCecew@HIDDEN>
References: <20181208181214.2308472a@HIDDEN>
 <CAPweEDyq+Hu7KkmpK_5yf3+p=1EvpSSjAztFPY12yRegYCecew@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/0F/6wsHWZ9U58_IgKkz3/U9"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/0F/6wsHWZ9U58_IgKkz3/U9
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Luke,

On Tue, 11 Dec 2018 02:04:59 +0000
Luke Kenneth Casson Leighton <lkcl@HIDDEN> wrote:

> good to see there's progress on this.  do make sure to use a UHC Class
> 10 micro-sd card (the ones that say they are 75-80mbytes/sec), they
> will happily run at 20-25mbytes/sec read/write speed, which is about
> the same speed as an SSD from around 2012.

Yes, I got such a card now, seems to write (including sync) quite quickly
on my laptop at least.

> yes, the idea is to upgrade (and sell or repurpose the old one).  this
> is the *first* in the series.

I understand.

> for building can i recommend using "-Wl,--no-keep-memory" and report
> if it helps, here:
> https://sourceware.org/bugzilla/show_bug.cgi?id=3D22831

Yeah, we've now added the linker option to several packages.
It improves the situation a lot.

Thanks!

--Sig_/0F/6wsHWZ9U58_IgKkz3/U9
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwdcdEACgkQ5xo1VCww
uqUu3wf/UuuW3PEGcVYOq7fLwansmeZXKuwK8A8z8+mGWGY86jj9Fj2HE6C/z/Zr
+aRuPmeevKCG7U3k0Z9p64FHFFok93RR5Ovid+w/ATFnekT3/eWJ97eg92ek0t0D
huvYkWxxvkfli5fDjqxdKbTB1nXc8f0hG1s/yKg3mEhPzWBCGVFNhPYOVpx0IDKc
y8bt1BgfmEmXdM4r9wt02useExIJAH4o8okvfeJ4Zz+7acvEHpH6DgFY8NyVjFBC
YL0DSIGRTw8TsHRR2kO/LWRxhZxqH33TLiuzqipJRWfsYjdIIh52JytqcKFCP2Uf
umbj+ag4Gu/6WTnYuFpZ79OZeJh4JA==
=l1KT
-----END PGP SIGNATURE-----

--Sig_/0F/6wsHWZ9U58_IgKkz3/U9--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 16 Dec 2018 20:14:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 16 15:14:33 2018
Received: from localhost ([127.0.0.1]:50609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYco5-0004vu-Fs
	for submit <at> debbugs.gnu.org; Sun, 16 Dec 2018 15:14:33 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:33910)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gYco3-0004vh-W4
 for 33676 <at> debbugs.gnu.org; Sun, 16 Dec 2018 15:14:32 -0500
Received: from localhost (178.112.139.158.wireless.dyn.drei.com
 [178.112.139.158])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id B82B33360320;
 Sun, 16 Dec 2018 21:14:30 +0100 (CET)
Date: Sun, 16 Dec 2018 21:14:26 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: GuixSD on eoma68-a20?
Message-ID: <20181216211426.09be476b@HIDDEN>
In-Reply-To: <877eg9tqbv.fsf@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <87pnubn386.fsf@HIDDEN>
 <20181209124800.495326cd@HIDDEN>
 <87in0275ec.fsf@HIDDEN> <87va40x90s.fsf@HIDDEN>
 <20181212091211.78d2e86d@HIDDEN> <87efak5qp7.fsf@HIDDEN>
 <20181215202137.4b3db598@HIDDEN> <877eg9tqbv.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/RigC1bCteAIcA40bARip_oY"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Mark H Weaver <mhw@HIDDEN>, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/RigC1bCteAIcA40bARip_oY
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Ludo,

> > The following package will be installed:
> >    guile-bootstrap      2.0     /tmp/guix-tests/store/1gd1z2r2a38bh3a44=
94jbhyzcv5mi5hl-guile-bootstrap-2.0 =20
>=20
> The solution I proposed only works if you=E2=80=99re using /gnu/store as =
your
> store prefix.  Otherwise you cannot get substitutes from the build
> farm.  :-/

I do use /gnu/store , but I think the above was from a "guix" package unit =
test.

> > gnu/packages/scheme.scm:170:30: In procedure inputs:
> > Throw to key `match-error' with args `("match" "no matching pattern" "a=
rmhf-linux")'. =20
>=20
> This looks like the issue fixed in
> 966629a114fd90153784dfdbe5e332e0ac94f1bc.

Indeed.

Now po4a fails one of the tests.  It's not easy to get the image :)

I'll try some more...

--Sig_/RigC1bCteAIcA40bARip_oY
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwWsiIACgkQ5xo1VCww
uqUrPgf6A4/gGSMbkp97NtZZ1Hl5mVtHd1qrybEV1LL36R6lxCa98wPXZLbuz5Dz
lgHeaq1Db8nbeXWmMA1pjDGWTK5bsKXGUtAk3xoc0Z7gOfwR5r03m+bysPBcTr9h
IMvRVUpYCjAloupUq1r/PQ6xTDvPIssvkUqoctPUZdJd6+mFE2AV8gpFXDtjNlpY
JUZuK9r2zkoIOzvj6ga+ICMNNQQZvlZB9wef2TpzK1xw54dGrmCpKY3lZ7aEGXLk
/hMNKD50BfYyqWa0ukefOh6694Ancx8qMjMuKeDzmX2pdyZRun8mQQbaRg88qUWt
hDI6+66nDnmB/ICykFoSUqCLYxj94A==
=9Jqc
-----END PGP SIGNATURE-----

--Sig_/RigC1bCteAIcA40bARip_oY--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 16 Dec 2018 15:59:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 16 10:59:57 2018
Received: from localhost ([127.0.0.1]:50517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYYph-0006pe-Bf
	for submit <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:59:57 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gYYpg-0006pT-Gl
 for 33676 <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:59:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gYYpa-0002GQ-GO
 for 33676 <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:59:51 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41877)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gYYpa-0002GE-CU; Sun, 16 Dec 2018 10:59:50 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=60944 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gYYpa-0000tE-30; Sun, 16 Dec 2018 10:59:50 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: GuixSD on eoma68-a20?
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN> <87pnubn386.fsf@HIDDEN>
 <20181209124800.495326cd@HIDDEN> <87in0275ec.fsf@HIDDEN>
 <87va40x90s.fsf@HIDDEN> <20181212091211.78d2e86d@HIDDEN>
 <87efak5qp7.fsf@HIDDEN> <20181215202137.4b3db598@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 16 Dec 2018 16:59:48 +0100
In-Reply-To: <20181215202137.4b3db598@HIDDEN> (Danny Milosavljevic's
 message of "Sat, 15 Dec 2018 20:21:37 +0100")
Message-ID: <877eg9tqbv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Mark H Weaver <mhw@HIDDEN>, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Danny,

Danny Milosavljevic <dannym@HIDDEN> skribis:

> On Fri, 14 Dec 2018 11:48:52 +0100
> Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:
>
>> I believe you can download it by running:
>>=20
>>   guix build /gnu/store/ywrh286iqc3jlfhjqsvs22gmcr02i2bp-disk-image.drv
>
> I don't have it.
>
>> If you don=E2=80=99t have this .drv, you should be able to build it from=
 commit
>> cba7ddcf603455c6692eb50c8bbf203a6bf17ab1.
>
> I tried
>
> ./pre-inst-env guix system disk-image --system=3Darmhf-linux -e '(begin (=
use-modules (gnu system) (gnu bootloader) (gnu bootloader u-boot) (gnu syst=
em install)) (operating-system (inherit installation-os) (bootloader (bootl=
oader-configuration (bootloader u-boot-bootloader) (target #f)))))'
>
> and I get:
>
> [...]
> The following package will be installed:
>    guile-bootstrap      2.0     /tmp/guix-tests/store/1gd1z2r2a38bh3a4494=
jbhyzcv5mi5hl-guile-bootstrap-2.0

The solution I proposed only works if you=E2=80=99re using /gnu/store as yo=
ur
store prefix.  Otherwise you cannot get substitutes from the build
farm.  :-/

> gnu/packages/scheme.scm:170:30: In procedure inputs:
> Throw to key `match-error' with args `("match" "no matching pattern" "arm=
hf-linux")'.

This looks like the issue fixed in
966629a114fd90153784dfdbe5e332e0ac94f1bc.

HTH!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 16 Dec 2018 15:08:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 16 10:08:17 2018
Received: from localhost ([127.0.0.1]:50479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYY1h-0005XO-GP
	for submit <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:08:17 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:41294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1gYY1f-0005XF-2i
 for 33676 <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:08:15 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 1A038A96;
 Sun, 16 Dec 2018 16:08:14 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id jkkVdMp2BBXM; Sun, 16 Dec 2018 16:08:13 +0100 (CET)
Received: from jurong (unknown [IPv6:2001:910:103f::c1e])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 472A451D;
 Sun, 16 Dec 2018 16:08:13 +0100 (CET)
Date: Sun, 16 Dec 2018 16:08:11 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181216150811.GA8664@jurong>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>
 <20181210211224.GA7317@jurong>
 <20181214215026.66ac1df2@HIDDEN>
 <20181215102906.GA4621@jurong> <87lg4qa9vu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87lg4qa9vu.fsf@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Danny Milosavljevic <dannym@HIDDEN>,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

On Sat, Dec 15, 2018 at 02:04:58PM -0500, Mark H Weaver wrote:
> >> See also https://blog.merovius.de/2013/10/20/ext4-mysterious-no-space-left-on.html
> > It was, and I disabled it. Hopefully this does not break anything...
> Why did you disable it?

Because we get exactly these spurious ENOSPC mentioned in the blog post
on bayfront when the disk is only one third full.

Now I am happy to try out any other combination of flags that solves the
problem.

So should I add dir_index again (is this possible live?), and then
add large_dir?

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 15 Dec 2018 19:21:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 14:21:45 2018
Received: from localhost ([127.0.0.1]:49653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYFVQ-0007vY-Sc
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 14:21:45 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:32954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gYFVO-0007vP-BS
 for 33676 <at> debbugs.gnu.org; Sat, 15 Dec 2018 14:21:42 -0500
Received: from localhost (178.112.139.158.wireless.dyn.drei.com
 [178.112.139.158])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 2DF41336012B;
 Sat, 15 Dec 2018 20:21:41 +0100 (CET)
Date: Sat, 15 Dec 2018 20:21:37 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: GuixSD on eoma68-a20?
Message-ID: <20181215202137.4b3db598@HIDDEN>
In-Reply-To: <87efak5qp7.fsf@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <87pnubn386.fsf@HIDDEN>
 <20181209124800.495326cd@HIDDEN>
 <87in0275ec.fsf@HIDDEN> <87va40x90s.fsf@HIDDEN>
 <20181212091211.78d2e86d@HIDDEN> <87efak5qp7.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/c6dOMwqtoex4l+_mJGNnUVY"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Mark H Weaver <mhw@HIDDEN>, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/c6dOMwqtoex4l+_mJGNnUVY
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Ludo,

On Fri, 14 Dec 2018 11:48:52 +0100
Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> I believe you can download it by running:
>=20
>   guix build /gnu/store/ywrh286iqc3jlfhjqsvs22gmcr02i2bp-disk-image.drv

I don't have it.

> If you don=E2=80=99t have this .drv, you should be able to build it from =
commit
> cba7ddcf603455c6692eb50c8bbf203a6bf17ab1.

I tried

./pre-inst-env guix system disk-image --system=3Darmhf-linux -e '(begin (us=
e-modules (gnu system) (gnu bootloader) (gnu bootloader u-boot) (gnu system=
 install)) (operating-system (inherit installation-os) (bootloader (bootloa=
der-configuration (bootloader u-boot-bootloader) (target #f)))))'

and I get:

[...]
The following package will be installed:
   guile-bootstrap      2.0     /tmp/guix-tests/store/1gd1z2r2a38bh3a4494jb=
hyzcv5mi5hl-guile-bootstrap-2.0

The following derivation will be built:
   /tmp/guix-tests/store/dmmv0dnc8wvx9m12mln90w4b26sdxq5v-profile.drv
building /tmp/guix-tests/store/dmmv0dnc8wvx9m12mln90w4b26sdxq5v-profile.drv=
...
1 package in profile
The following environment variable definitions may be needed:
   export PATH=3D"t-profile-15269/bin${PATH:+:}$PATH"
++ guix package -A guile-bootstrap
++ cut -f 1-2
Backtrace:
In guix/ui.scm:
  1603:12 19 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    829:9 18 (catch _ _ #<procedure fed02558 at guix/ui.scm:615:2 (=E2=80=
=A6> =E2=80=A6)
    829:9 17 (catch _ _ #<procedure fed02568 at guix/ui.scm:733:6 (=E2=80=
=A6> =E2=80=A6)
In guix/scripts/package.scm:
    914:8 16 (_)
   729:25 15 (process-query _)
In guix/discovery.scm:
    155:3 14 (fold-module-public-variables _ _ _)
In guix/combinators.scm:
    45:26 13 (fold2 #<procedure 1229310 at guix/discovery.scm:155:1=E2=80=
=A6> =E2=80=A6)
    45:26 12 (fold2 #<procedure 22f5a0 at guix/discovery.scm:156:19=E2=80=
=A6> =E2=80=A6)
In guix/discovery.scm:
   158:33 11 (_ #<package scmutils@20160827 gnu/packages/scheme.scm=E2=80=
=A6> =E2=80=A6)
In guix/scripts/package.scm:
   732:39 10 (_ #<package scmutils@20160827 gnu/packages/scheme.scm=E2=80=
=A6> =E2=80=A6)
In guix/packages.scm:
   777:17  9 (supported-package? #<package scmutils@20160827 gnu/pa=E2=80=
=A6> =E2=80=A6)
In guix/memoization.scm:
    101:0  8 (_ #<hash-table 2bc240 3740/7027> #<package scmutils@2=E2=80=
=A6> =E2=80=A6)
In srfi/srfi-1.scm:
   466:18  7 (fold #<procedure fd5d9fe8 at guix/packages.scm:764:10=E2=80=
=A6> =E2=80=A6)
In guix/packages.scm:
   768:33  6 (_ _ ("x86_64-linux" "i686-linux" "armhf-linux" "aar=E2=80=A6"=
 =E2=80=A6))
In guix/memoization.scm:
    101:0  5 (_ #<hash-table 2bc240 3740/7027> #<package mit-scheme=E2=80=
=A6> =E2=80=A6)
In guix/packages.scm:
   980:46  1 (thunk)
In gnu/packages/scheme.scm:
   170:30  0 (inputs)

gnu/packages/scheme.scm:170:30: In procedure inputs:
Throw to key `match-error' with args `("match" "no matching pattern" "armhf=
-linux")'.
++ guix package -p t-profile-15269 -I
++ cut -f 1-2
+ test '' =3D 'guile-bootstrap    2.0'
+ rm -f t-profile-15269 t-profile-15269-1-link t-guix-package-file-15269
+ rm -rf t-guix-package-15269 t-home-15269
./test-env: line 1: 15250 Terminated              "/tmp/guix-build-guix-0.1=
6.0-4.60b0402.drv-0/source/pre-inst-env" "/tmp/guix-build-guix-0.16.0-4.60b=
0402.drv-0/source/guix-daemon" --disable-chroot --substitute-urls=3D"$GUIX_=
BINARY_SUBSTITUTE_URL"
FAIL tests/guix-package.sh (exit status: 1)
[...]
/gnu/store/diwcb1v9lr156sg3q4ww1wvsniw4n6rf-module-import/guix/build/gnu-bu=
ild-system.scm:369:6: In procedure check:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "mak=
e" arguments: ("check") exit-status: 2 term-signal: #f stop-signal: #f] 1eb=
fa0>)'.
builder for `/gnu/store/dbf84br9nxk0a6d50lsgpcjkl5r4cm1s-guix-0.16.0-4.60b0=
402.drv' failed with exit code 1
build of /gnu/store/dbf84br9nxk0a6d50lsgpcjkl5r4cm1s-guix-0.16.0-4.60b0402.=
drv failed
View build log at '/var/log/guix/drvs/db/f84br9nxk0a6d50lsgpcjkl5r4cm1s-gui=
x-0.16.0-4.60b0402.drv.bz2'.
guix system: error: build failed: build of `/gnu/store/dbf84br9nxk0a6d50lsg=
pcjkl5r4cm1s-guix-0.16.0-4.60b0402.drv' failed

And no image...

--Sig_/c6dOMwqtoex4l+_mJGNnUVY
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwVVEEACgkQ5xo1VCww
uqX4ygf7BPKCZOtmCt1Zy59pCxh4dX/a8E9aZ494FKMGdMpiETLF5DP5Z0TVb/bL
JJaOdU1Tos5g+4lFE8/OIUWdZhKlaf2hifuHh4D8ruAoJPuqF9hqQ0z7PxJ9uN4a
Nmf/mV86svYnIkbdw1f33IYEV/sYTV6MwgT5DEY7I5AqCzLm11w+G2W1E6aY7ir3
W2NZK74y479qtv7LYYuTbOGm8AqJWP99Zik/JiEmdYF36mGszZL8AR2ZdPVM+cY0
IHDMAeyDgowJUgUeCmtwtt/CKekYy2gMpTvDV/I9KijlxcUDIvQGRdpDZgbUC+DG
rq02pyIvbCWytWNwuXMupLv/AtWqcQ==
=pQOL
-----END PGP SIGNATURE-----

--Sig_/c6dOMwqtoex4l+_mJGNnUVY--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 15 Dec 2018 19:19:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 14:19:14 2018
Received: from localhost ([127.0.0.1]:49649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYFT0-0007rT-BS
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 14:19:14 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:32774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gYFSy-0007rL-IY
 for 33676 <at> debbugs.gnu.org; Sat, 15 Dec 2018 14:19:13 -0500
Received: from localhost (178.112.139.158.wireless.dyn.drei.com
 [178.112.139.158])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 9C990336012B;
 Sat, 15 Dec 2018 20:19:10 +0100 (CET)
Date: Sat, 15 Dec 2018 20:19:04 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181215201904.62659d07@HIDDEN>
In-Reply-To: <20181215102906.GA4621@jurong>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>
 <20181210211224.GA7317@jurong>
 <20181214215026.66ac1df2@HIDDEN>
 <20181215102906.GA4621@jurong>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/2qaKS_YJhEFpW4diPbxQZFZ"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/2qaKS_YJhEFpW4diPbxQZFZ
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Andreas,

On Sat, 15 Dec 2018 11:29:06 +0100
Andreas Enge <andreas@HIDDEN> wrote:

> On Fri, Dec 14, 2018 at 09:50:26PM +0100, Danny Milosavljevic wrote:
> > can you check whether dirindex (hashtables for directory) is enabled?
> > # tune2fs -l /dev/... | grep -o dir_index
> > See also https://blog.merovius.de/2013/10/20/ext4-mysterious-no-space-l=
eft-on.html =20
>=20
> It was, and I disabled it. Hopefully this does not break anything...
> But does this not mean a big performance hit on /gnu/store/.links?

It does mean that because it uses a linear search to find the file names no=
w.

What ext filesystem is it?

https://en.wikipedia.org/wiki/Ext4 says that ext4 supports B trees - which
should have no problems with hash collisions (it uses operator< to construct
a tree -- and not hashes to construct a list).

--Sig_/2qaKS_YJhEFpW4diPbxQZFZ
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwVU6gACgkQ5xo1VCww
uqXPzAf+LHwmkROAgHY+KJMT7ZX2+yAuomP2qXnB5Yh+E+n25+c+R2gVWldL5yE7
6wmrQ09cgSiEZTJFIeiKiBVYnIDsJrnSFcPhqfMawkxr8SMibn0W5uCU0KcvnqPA
G76lwJzkJjZAuNlrx0b0cP29dW7J7Qik7bWb1R+ozmACMcBElPyQr6QLY+DOYoEy
8Rr6OWzw/TehaZwDOxEC7gx+oFpAU2wnP21i1Op+dHGYXynPETmT/PX2dhM7Utmm
A46tQQsEGhvu0/+c78SLcyrT8B5iu7ijyLHVOMV1fmgamH3QZ9OcLak10Gd3Ix6e
woDhMhYgsdWWifuZYMIWu7XJUU5Jyg==
=KOmW
-----END PGP SIGNATURE-----

--Sig_/2qaKS_YJhEFpW4diPbxQZFZ--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 15 Dec 2018 19:06:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 14:06:08 2018
Received: from localhost ([127.0.0.1]:49634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYFGK-0007XT-CQ
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 14:06:08 -0500
Received: from world.peace.net ([64.112.178.59]:57214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gYFGI-0007Wx-OX
 for 33676 <at> debbugs.gnu.org; Sat, 15 Dec 2018 14:06:07 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gYFGB-00018Y-RN; Sat, 15 Dec 2018 14:05:59 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>
 <20181210211224.GA7317@jurong>
 <20181214215026.66ac1df2@HIDDEN>
 <20181215102906.GA4621@jurong>
Date: Sat, 15 Dec 2018 14:04:58 -0500
In-Reply-To: <20181215102906.GA4621@jurong> (Andreas Enge's message of "Sat,
 15 Dec 2018 11:29:06 +0100")
Message-ID: <87lg4qa9vu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Danny Milosavljevic <dannym@HIDDEN>,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Andreas,

Andreas Enge <andreas@HIDDEN> writes:

> On Fri, Dec 14, 2018 at 09:50:26PM +0100, Danny Milosavljevic wrote:
>> can you check whether dirindex (hashtables for directory) is enabled?
>> # tune2fs -l /dev/... | grep -o dir_index
>> See also https://blog.merovius.de/2013/10/20/ext4-mysterious-no-space-left-on.html
>
> It was, and I disabled it. Hopefully this does not break anything...

Why did you disable it?

> But does this not mean a big performance hit on /gnu/store/.links?

I would expect disabling dir_index to be a big performance hit on Guix
systems, and especially those with a large store, such a build farm
master nodes.

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 15 Dec 2018 10:29:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 05:29:13 2018
Received: from localhost ([127.0.0.1]:48967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gY7C5-0006km-C9
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 05:29:13 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:52496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1gY7C3-0006kd-8j
 for 33676 <at> debbugs.gnu.org; Sat, 15 Dec 2018 05:29:11 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 36E3B1A90;
 Sat, 15 Dec 2018 11:29:10 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id zGMp9dwF3l6V; Sat, 15 Dec 2018 11:29:09 +0100 (CET)
Received: from jurong (unknown [109.190.253.15])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 1B2F21818;
 Sat, 15 Dec 2018 11:29:08 +0100 (CET)
Date: Sat, 15 Dec 2018 11:29:06 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181215102906.GA4621@jurong>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>
 <20181210211224.GA7317@jurong>
 <20181214215026.66ac1df2@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20181214215026.66ac1df2@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

On Fri, Dec 14, 2018 at 09:50:26PM +0100, Danny Milosavljevic wrote:
> can you check whether dirindex (hashtables for directory) is enabled?
> # tune2fs -l /dev/... | grep -o dir_index
> See also https://blog.merovius.de/2013/10/20/ext4-mysterious-no-space-left-on.html

It was, and I disabled it. Hopefully this does not break anything...
But does this not mean a big performance hit on /gnu/store/.links?

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 14 Dec 2018 20:50:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 14 15:50:36 2018
Received: from localhost ([127.0.0.1]:48608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXuPr-0001VB-T3
	for submit <at> debbugs.gnu.org; Fri, 14 Dec 2018 15:50:36 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:39800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gXuPp-0001V1-Ol
 for 33676 <at> debbugs.gnu.org; Fri, 14 Dec 2018 15:50:34 -0500
Received: from localhost (178.112.139.158.wireless.dyn.drei.com
 [178.112.139.158])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 1BD75336010E;
 Fri, 14 Dec 2018 21:50:31 +0100 (CET)
Date: Fri, 14 Dec 2018 21:50:26 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181214215026.66ac1df2@HIDDEN>
In-Reply-To: <20181210211224.GA7317@jurong>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>
 <20181210211224.GA7317@jurong>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/G_f.0Y15ombuxPXufL.1iM2"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: swedebugia <swedebugia@HIDDEN>, guix-devel@HIDDEN,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/G_f.0Y15ombuxPXufL.1iM2
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Andreas,

can you check whether dirindex (hashtables for directory) is enabled?

# tune2fs -l /dev/... | grep -o dir_index

See also https://blog.merovius.de/2013/10/20/ext4-mysterious-no-space-left-=
on.html

--Sig_/G_f.0Y15ombuxPXufL.1iM2
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwUF5IACgkQ5xo1VCww
uqWi/QgAhLQz4I5takO4jjCBSVYkup2F1HcyzyqtyBu8sfF1SkilVHXv9FRKJpZP
0t7T3Bo3NP/oxVYELns8RQrEH7cR8InlrmPUGFEqhhDYDSDNT5ldMtiJ2VoPm+Y0
FYucyRoNmHaRcJ2hhadWWxx0lQUnoAscqRtcstM39r8DiGicoYDltq+mVa6Z7Nb0
9KckHtjWNypkuCzqbKouYH1fe71zOP+GnKUbKIqk9l6ocekN8W9ormTmKF5Md6Ci
mihSAoTt79JuzBrdAS/fHTXRXbb1WZvtksVa577qCyD3MHjJ79o/EYxPb9cV1RLK
UMVCUnEZ5Oz+wwi2uUh/106Sa6csCA==
=OQig
-----END PGP SIGNATURE-----

--Sig_/G_f.0Y15ombuxPXufL.1iM2--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 14 Dec 2018 11:09:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 14 06:09:20 2018
Received: from localhost ([127.0.0.1]:47386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXlLL-00014V-Qn
	for submit <at> debbugs.gnu.org; Fri, 14 Dec 2018 06:09:20 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gXlLJ-00014D-Uh
 for 33676 <at> debbugs.gnu.org; Fri, 14 Dec 2018 06:09:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gXlLE-0004Of-02
 for 33676 <at> debbugs.gnu.org; Fri, 14 Dec 2018 06:09:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33753)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gXlLB-0004Nn-Lm; Fri, 14 Dec 2018 06:09:09 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=40320 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gXlL7-0007KD-JM; Fri, 14 Dec 2018 06:09:06 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: ENOSPC upon offloading
In-Reply-To: <20181210113014.0e4e76eb@HIDDEN> (Danny Milosavljevic's
 message of "Mon, 10 Dec 2018 11:30:14 +0100")
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 24 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 14 Dec 2018 12:09:04 +0100
Message-ID: <87h8fg4b73.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Andreas Enge <andreas@HIDDEN>, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

Danny Milosavljevic <dannym@HIDDEN> skribis:

> I've tried it now and I get:
>
> dannym@bayfront ~/src/guix$ ./pre-inst-env guix system disk-image --syste=
m=3Darmhf-linux gnu/system/install.scm
> ...
> importing file or directory '/gnu/store/3qrkj5zqmhnkr953xznmy96fq8i55ia5-=
glibc-b
> ootstrap-0'...
> found valid signature for '/gnu/store/3qrkj5zqmhnkr953xznmy96fq8i55ia5-gl=
ibc-boo
> tstrap-0'
> guix offload: error: link: No space left on device
> cannot build derivation `/gnu/store/mdc6h56cg0a8i09rh0zbw5kgipwlnvln-binu=
tils-cr
> oss-boot0-2.31.1.drv': 1 dependencies couldn't be built

I looked again at the code and found the issue, now fixed in
adb158b7396cbdcda347fa298978408e531a03fd.

We=E2=80=99ll have to update the =E2=80=98guix=E2=80=99 package and deploy =
it to actually get
the fix.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 14 Dec 2018 10:49:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 14 05:49:07 2018
Received: from localhost ([127.0.0.1]:47365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXl1n-0000X5-1x
	for submit <at> debbugs.gnu.org; Fri, 14 Dec 2018 05:49:07 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55929)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gXl1j-0000Wa-L1
 for 33676 <at> debbugs.gnu.org; Fri, 14 Dec 2018 05:49:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gXl1c-00013E-AB
 for 33676 <at> debbugs.gnu.org; Fri, 14 Dec 2018 05:48:58 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60521)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gXl1c-000133-5l; Fri, 14 Dec 2018 05:48:56 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=39702 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gXl1a-0000WW-RU; Fri, 14 Dec 2018 05:48:55 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: GuixSD on eoma68-a20?
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN> <87pnubn386.fsf@HIDDEN>
 <20181209124800.495326cd@HIDDEN> <87in0275ec.fsf@HIDDEN>
 <87va40x90s.fsf@HIDDEN> <20181212091211.78d2e86d@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 24 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 14 Dec 2018 11:48:52 +0100
In-Reply-To: <20181212091211.78d2e86d@HIDDEN> (Danny Milosavljevic's
 message of "Wed, 12 Dec 2018 09:12:11 +0100")
Message-ID: <87efak5qp7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Mark H Weaver <mhw@HIDDEN>, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello!

Danny Milosavljevic <dannym@HIDDEN> skribis:

> Yessss!
>
> flash-image just successfully built on Hydra.
>
> Can I have the resulting file please?
>
> See https://hydra.gnu.org/build/3255541/log/raw

I believe you can download it by running:

  guix build /gnu/store/ywrh286iqc3jlfhjqsvs22gmcr02i2bp-disk-image.drv

If you don=E2=80=99t have this .drv, you should be able to build it from co=
mmit
cba7ddcf603455c6692eb50c8bbf203a6bf17ab1.

See all the details at <https://hydra.gnu.org/build/3255541>.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 12 Dec 2018 08:12:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 12 03:12:21 2018
Received: from localhost ([127.0.0.1]:44472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWzcz-0003nO-La
	for submit <at> debbugs.gnu.org; Wed, 12 Dec 2018 03:12:21 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:60096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gWzcx-0003nD-IR
 for 33676 <at> debbugs.gnu.org; Wed, 12 Dec 2018 03:12:20 -0500
Received: from localhost (178.113.244.8.wireless.dyn.drei.com [178.113.244.8])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id D3C5C3366B2A;
 Wed, 12 Dec 2018 09:12:17 +0100 (CET)
Date: Wed, 12 Dec 2018 09:12:11 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: GuixSD on eoma68-a20?
Message-ID: <20181212091211.78d2e86d@HIDDEN>
In-Reply-To: <87va40x90s.fsf@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <87pnubn386.fsf@HIDDEN>
 <20181209124800.495326cd@HIDDEN>
 <87in0275ec.fsf@HIDDEN> <87va40x90s.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/eF5JSSZhK6awZnJOB=UT1Dv"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Mark H Weaver <mhw@HIDDEN>, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/eF5JSSZhK6awZnJOB=UT1Dv
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Yessss!

flash-image just successfully built on Hydra.

Can I have the resulting file please?

See https://hydra.gnu.org/build/3255541/log/raw

--Sig_/eF5JSSZhK6awZnJOB=UT1Dv
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwQwtsACgkQ5xo1VCww
uqWa2Af+Ll1C6Tvlt3cvDyWgu2jH4D8TsLLmuN512l0TP5Db+6V5zLCNv0m+u8LX
T3UzdO5bUO30snf1JPNia/DQg5hXPYwCdLozPc84/z5JdE68q1Xm1fRBaBj90vpN
mMSG49fa3J15BkPTcFAkFV8XG0c/xeF7sUfX9973/8SEl99+cGkdqTanMgXK0Mi4
ZtxjJKCuFav2WdaQ2Zgrve3BPv4Q2XXe8hAZEymve5FSV/6vrcJtLkDbHONKW7m9
fWN4aHR9nSzTZevcvkvu1w7j7a6P8XOHp3tfJ4rqfmMhUq4DeuMZLghrT8sLvneG
B5/JGRmdY/gb4wGuDEN5g7m5H0BERQ==
=nhHn
-----END PGP SIGNATURE-----

--Sig_/eF5JSSZhK6awZnJOB=UT1Dv--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 11 Dec 2018 17:34:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 11 12:34:34 2018
Received: from localhost ([127.0.0.1]:44152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWlvW-0001Wu-JN
	for submit <at> debbugs.gnu.org; Tue, 11 Dec 2018 12:34:34 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51262)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gWlvU-0001Wi-Ii
 for 33676 <at> debbugs.gnu.org; Tue, 11 Dec 2018 12:34:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gWlvJ-0006rg-K9
 for 33676 <at> debbugs.gnu.org; Tue, 11 Dec 2018 12:34:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41027)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gWlvB-0006oa-Pa; Tue, 11 Dec 2018 12:34:16 -0500
Received: from [2a00:8c40:243:232:c715:68dd:7cd5:702b] (port=56758 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gWlvB-0006h4-GF; Tue, 11 Dec 2018 12:34:13 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: GuixSD on eoma68-a20?
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN> <87pnubn386.fsf@HIDDEN>
 <20181209124800.495326cd@HIDDEN> <87in0275ec.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 21 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 11 Dec 2018 18:34:11 +0100
In-Reply-To: <87in0275ec.fsf@HIDDEN> (Mark H. Weaver's message of "Sun, 09
 Dec 2018 16:32:00 -0500")
Message-ID: <87va40x90s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Danny Milosavljevic <dannym@HIDDEN>,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Mark,

Mark H Weaver <mhw@HIDDEN> skribis:

> Danny Milosavljevic <dannym@HIDDEN> writes:
>
>> After the change, I get the following on Hydra <https://hydra.gnu.org/bu=
ild/3253608/log/raw>:
>>
>> ------------------------------------------------------------------------=
---
>> @ build-started /gnu/store/scnqgfc3k4434h3gch22hnh0z8qdbvdb-disk-image.d=
rv - x86_64-linux /var/log/guix/drvs/sc//nqgfc3k4434h3gch22hnh0z8qdbvdb-dis=
k-image.drv.bz2
>> environment variable `PATH' set to `/gnu/store/5ka9gmcwcj2919q0cj0wkjng0=
58lwrgq-qemu-minimal-3.0.0/bin:/gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-=
coreutils-8.30/bin'
>> creating raw image of 1024.00 MiB...
>> Formatting '/gnu/store/4yp6s4jlq2frb2jqzd7q3kp99vzmnpm5-disk-image', fmt=
=3Draw size=3D1073741824
>> Could not access KVM kernel module: Permission denied
>> qemu-system-x86_64: failed to initialize KVM: Permission denied
>
> This indicates that /dev/kvm on hydra.gnunet.org has permissions that
> prevent the guix build user from accessing it.
>
> I raised this issue long ago (2015) on the guix-sysadmin mailing list.
> In that message, I noted that on hydra.gnunet.org, /dev/kvm has mode
> 0600 and is owned by root, which caused our disk image derivations to
> fail.
>
> At the time, Ludovic chmod'd /dev/kvm, and mentioned that he had tried
> to make this persistent via /etc/udev/rules.d/70-persistent-net.rules,
> but that for some reason that didn't seem to work, possibly because it
> was being overridden by another rule or startup script.  As far as I
> know, we never implemented a proper fix.
>
> Ludovic, for now, can you chmod it again?

I did that again this morning.

Apparently there was a typo in the udev rules I had written: =E2=80=9C=3D=
=E2=80=9D instead
of =E2=80=9C=3D=3D=E2=80=9D=E2=80=A6  Should be better now on the next rebo=
ot.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 11 Dec 2018 08:14:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 11 03:14:05 2018
Received: from localhost ([127.0.0.1]:42743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWdB5-0000gd-5v
	for submit <at> debbugs.gnu.org; Tue, 11 Dec 2018 03:14:03 -0500
Received: from flashner.co.il ([178.62.234.194]:42548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1gWdB2-0000fo-Vg
 for 33676 <at> debbugs.gnu.org; Tue, 11 Dec 2018 03:14:01 -0500
Received: from localhost (unknown [5.102.239.133])
 by flashner.co.il (Postfix) with ESMTPSA id 34CB040119;
 Tue, 11 Dec 2018 08:13:55 +0000 (UTC)
Date: Tue, 11 Dec 2018 10:13:53 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181211081353.GD1323@macbook41>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <87pnubn386.fsf@HIDDEN>
 <20181209124800.495326cd@HIDDEN>
 <87in0275ec.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="G6nVm6DDWH/FONJq"
Content-Disposition: inline
In-Reply-To: <87in0275ec.fsf@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, Danny Milosavljevic <dannym@HIDDEN>,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--G6nVm6DDWH/FONJq
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Dec 09, 2018 at 04:32:00PM -0500, Mark H Weaver wrote:
> Hi Danny and Ludovic,
>=20
> Danny Milosavljevic <dannym@HIDDEN> writes:
>=20
> > After the change, I get the following on Hydra <https://hydra.gnu.org/b=
uild/3253608/log/raw>:
> >
> > -----------------------------------------------------------------------=
----
> > @ build-started /gnu/store/scnqgfc3k4434h3gch22hnh0z8qdbvdb-disk-image.=
drv - x86_64-linux /var/log/guix/drvs/sc//nqgfc3k4434h3gch22hnh0z8qdbvdb-di=
sk-image.drv.bz2
> > environment variable `PATH' set to `/gnu/store/5ka9gmcwcj2919q0cj0wkjng=
058lwrgq-qemu-minimal-3.0.0/bin:/gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6=
-coreutils-8.30/bin'
> > creating raw image of 1024.00 MiB...
> > Formatting '/gnu/store/4yp6s4jlq2frb2jqzd7q3kp99vzmnpm5-disk-image', fm=
t=3Draw size=3D1073741824
> > Could not access KVM kernel module: Permission denied
> > qemu-system-x86_64: failed to initialize KVM: Permission denied
>=20
> This indicates that /dev/kvm on hydra.gnunet.org has permissions that
> prevent the guix build user from accessing it.
>=20
> I raised this issue long ago (2015) on the guix-sysadmin mailing list.
> In that message, I noted that on hydra.gnunet.org, /dev/kvm has mode
> 0600 and is owned by root, which caused our disk image derivations to
> fail.
>=20
> At the time, Ludovic chmod'd /dev/kvm, and mentioned that he had tried
> to make this persistent via /etc/udev/rules.d/70-persistent-net.rules,
> but that for some reason that didn't seem to work, possibly because it
> was being overridden by another rule or startup script.  As far as I
> know, we never implemented a proper fix.
>=20
> Ludovic, for now, can you chmod it again?
>=20
>      Thanks,
>        Mark

time for a crontab hack job?

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--G6nVm6DDWH/FONJq
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlwPcbwACgkQQarn3Mo9
g1Ho5g//Zq6+no9PJnn7T3LHsrQPqouJ/dQDi8H9EH2qjdeDPXusPOsPlp1uENM0
67UFm/iD2qGMyeeVxZesWi9K9xGQ8v6MTf0IJ0iRy3jkreUhqXyOjJx3cvOJdXFU
qVOUUGN0qss8HfJqbZr1Z/yh4GhDrdEFCaSCQ5fawFwkOURIXN1U0qRmTTxqCoM9
AUba5+DM0lW5oF8CSKIVouSlxoKkE3T9c8boffyQvWoYIeBjj53uxt9laF8RtEza
QriEN7cViExX7GHPKneK/I/vwOyFIbNMnBeB9o4TmMdQtws+8NXptA/oMmuuos4z
0ksOLOxT3Q63yEiXUiDosaZzkl+HylfO9EimEgCDZ7R7F8AAJ9kCLCOK+Q7d2Lbv
alf/zuGFJG9ttiujNZUFv4FM/qdRzqbK3Y6gXqxhBcW0+WDyDWI+Jm8XvPsKbWma
OBVZewUGnEFvgPqopEg5Ej5+c/m8I9TtxGWeIlrCiREmE+EOcpcrMoaTrtmTlG5q
PedVYVjRIpN5wgosJNqKGs+e07fwoZ9SjRnjohyXoFG/1u9uX+GG54qFJtwkpzHp
FDx1s4Ia8WHn0/bdelxPTdytyIjW8+JvzHhZYVTVsMbqGuWlO6gJ1gl9AIO6eJmv
yPjbuomrSL4urq+c4fBQbEriG1hw2mnmcDjxN9IbsPBVE3fjIsk=
=O4JZ
-----END PGP SIGNATURE-----

--G6nVm6DDWH/FONJq--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 11 Dec 2018 02:16:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 21:16:55 2018
Received: from localhost ([127.0.0.1]:42556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWXbQ-0003Bb-JJ
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 21:16:53 -0500
Received: from lkcl.net ([217.147.94.29]:42423)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lkcl@HIDDEN>) id 1gWXQT-0002pN-D4
 for 33676 <at> debbugs.gnu.org; Mon, 10 Dec 2018 21:05:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=lkcl.net;
 s=201607131; 
 h=Content-Type:To:Subject:Message-ID:Date:From:MIME-Version;
 bh=QFEceUDba6B6Ky3YvfHi9CxRvgmwJgDv0v/h5UrUN/U=; 
 b=SySmf4QDhumVSJiGTT9gXJMUqlRlOKhqS2akDHFIip7PlliYWfT3sY1ZkeU/46bQqOLaQc7mLKxg9Rd2vFe+z8PJ4gz5kpQ1jW9kqWT/KjNgCu4+tOmzRWbq9daC/OuXT6Ew1YqSe7bi+iSboUTfn1SidijOlLKVHSbyOZW8m3k=;
Received: from mail-lj1-f169.google.com ([209.85.208.169])
 by lkcl.net with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <lkcl@HIDDEN>) id 1gWXQS-0004XN-9Z
 for 33676 <at> debbugs.gnu.org; Tue, 11 Dec 2018 02:05:32 +0000
Received: by mail-lj1-f169.google.com with SMTP id k19-v6so11463911lji.11
 for <33676 <at> debbugs.gnu.org>; Mon, 10 Dec 2018 18:05:17 -0800 (PST)
X-Gm-Message-State: AA+aEWYqKVm5nWfXVKcTJ2k6ETRsTxECBXBLhwocVdVxkwCUHI1/szcz
 WnP64VfDVW2TT+WLQRWOWWuCVU5IiQU0GlEO2HQ=
X-Google-Smtp-Source: AFSGD/Uc/HhBMxYw9UgOlgGznB0TJSVny4eLnqM0JZmXNS/Zr1L6wEuP/4WStpOK5Yo5fT1CHRwuFjHooAG2YUHQNN4=
X-Received: by 2002:a2e:85d3:: with SMTP id
 h19-v6mr8262886ljj.82.1544493911563; 
 Mon, 10 Dec 2018 18:05:11 -0800 (PST)
MIME-Version: 1.0
From: Luke Kenneth Casson Leighton <lkcl@HIDDEN>
Date: Tue, 11 Dec 2018 02:04:59 +0000
X-Gmail-Original-Message-ID: <CAPweEDyq+Hu7KkmpK_5yf3+p=1EvpSSjAztFPY12yRegYCecew@HIDDEN>
Message-ID: <CAPweEDyq+Hu7KkmpK_5yf3+p=1EvpSSjAztFPY12yRegYCecew@HIDDEN>
Subject: GuixSD on eoma68-a20?
To: 33676 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33676
X-Mailman-Approved-At: Mon, 10 Dec 2018 21:16:51 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

hi folks,

good to see there's progress on this.  do make sure to use a UHC Class
10 micro-sd card (the ones that say they are 75-80mbytes/sec), they
will happily run at 20-25mbytes/sec read/write speed, which is about
the same speed as an SSD from around 2012.

you should get a boot to xfce4 or lxde of around 20-25 seconds: again,
comparable with a budget processor from around 5-8 years ago (which is
what this is).  for god's sake don't peddle gnome3 or kde4 at
end-users.  the performance will be absolutely atrocious, absolutely
guaranteed.

yes, the idea is to upgrade (and sell or repurpose the old one).  this
is the *first* in the series.

for building can i recommend using "-Wl,--no-keep-memory" and report
if it helps, here:
https://sourceware.org/bugzilla/show_bug.cgi?id=22831

there is a slow-boil linker problem which is similar to the "640k
should be enough for anybody" - all of the quotes historic quotes
techniques which used to be implemented to make it possible to link
programs where there is not enough virtual or physical memory have
been ripped out because "4GB should be enough for anybody".

firefox now requires a staggering SEVEN GIGABYTES to successfully
link.  this is insane.  please do try that linker option because
otherwise people will believe that 32-bit hardware needs to be
destroyed, due to it being utterly useless.

l.




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 10 Dec 2018 21:12:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 16:12:29 2018
Received: from localhost ([127.0.0.1]:42198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWSqr-00088Y-EM
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 16:12:29 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:43494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1gWSqp-00088Q-Us
 for 33676 <at> debbugs.gnu.org; Mon, 10 Dec 2018 16:12:28 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 1705A41DB;
 Mon, 10 Dec 2018 22:12:27 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id tTSbm8eqm1eN; Mon, 10 Dec 2018 22:12:26 +0100 (CET)
Received: from jurong (unknown [IPv6:2001:910:103f::c1e])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 2FF5141D5;
 Mon, 10 Dec 2018 22:12:26 +0100 (CET)
Date: Mon, 10 Dec 2018 22:12:24 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181210211224.GA7317@jurong>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
 <20181210113014.0e4e76eb@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20181210113014.0e4e76eb@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: swedebugia <swedebugia@HIDDEN>, guix-devel@HIDDEN,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hello Danny,

On Mon, Dec 10, 2018 at 11:30:14AM +0100, Danny Milosavljevic wrote:
> I've tried it now and I get:
> dannym@bayfront ~/src/guix$ ./pre-inst-env guix system disk-image --system=armhf-linux gnu/system/install.scm
> ...
> importing file or directory '/gnu/store/3qrkj5zqmhnkr953xznmy96fq8i55ia5-glibc-b
> ootstrap-0'...
> found valid signature for '/gnu/store/3qrkj5zqmhnkr953xznmy96fq8i55ia5-glibc-boo
> tstrap-0'
> guix offload: error: link: No space left on device

this is the mysterious error message we have seen before: There is still
plenty of space on all the machines! I think it was related to an ext4
limitation on the number of files, or the number of files inside a single
directory. I ran some garbage collection on bayfront, and it can now offload
and retrieve builds again. Please give it another try!

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 10 Dec 2018 10:30:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 05:30:51 2018
Received: from localhost ([127.0.0.1]:40756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWIpv-0003X2-70
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 05:30:51 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:35890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gWIpu-0003Vh-3a
 for 33676 <at> debbugs.gnu.org; Mon, 10 Dec 2018 05:30:50 -0500
Received: from localhost (178.113.145.90.wireless.dyn.drei.com
 [178.113.145.90])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id ECDDC336012B;
 Mon, 10 Dec 2018 11:30:48 +0100 (CET)
Date: Mon, 10 Dec 2018 11:30:45 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181210113014.0e4e76eb@HIDDEN>
In-Reply-To: <20181209215126.GA10968@jurong>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/pl_tP3fYTZ+tbr7r9i6+qZQ"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: swedebugia <swedebugia@HIDDEN>, guix-devel@HIDDEN,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/pl_tP3fYTZ+tbr7r9i6+qZQ
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Andreas,

I've tried it now and I get:

dannym@bayfront ~/src/guix$ ./pre-inst-env guix system disk-image --system=
=3Darmhf-linux gnu/system/install.scm
...
importing file or directory '/gnu/store/3qrkj5zqmhnkr953xznmy96fq8i55ia5-gl=
ibc-b
ootstrap-0'...
found valid signature for '/gnu/store/3qrkj5zqmhnkr953xznmy96fq8i55ia5-glib=
c-boo
tstrap-0'
guix offload: error: link: No space left on device
cannot build derivation `/gnu/store/mdc6h56cg0a8i09rh0zbw5kgipwlnvln-binuti=
ls-cr
oss-boot0-2.31.1.drv': 1 dependencies couldn't be built

--Sig_/pl_tP3fYTZ+tbr7r9i6+qZQ
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwOQFUACgkQ5xo1VCww
uqWczgf9Huo4mXMIbCqUU2csJPKO3KYpSKjTJOZ17yaU/P7wJdaeDYEhS4XSaGTz
usmXtJe2iITL8R7hrnlLhKAf0zUknNxq1rWjtzds3yzCBXKydMOgyxjzf3q7IBax
8Zl3/fNjJVq7h+8gKAfZgYK1sKs39Egwu6+G/nanjqIuTxpiXUGalNamHiSALJjY
mX8e6tys/5Apt0qGXA6VxXIeKPCbUv4m8bdG643uOM6zARC8QbUIwIBKr618yilV
AH+wHuPoMTIaGbRA47wge0DioJptYJ365TooADrBie1uX7i/W1D8sFlbK9WiJqJQ
KPpRZoAwo3O7TMfACHbfFgas8CdwQg==
=ONIU
-----END PGP SIGNATURE-----

--Sig_/pl_tP3fYTZ+tbr7r9i6+qZQ--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 10 Dec 2018 10:30:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 05:30:31 2018
Received: from localhost ([127.0.0.1]:40753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWIpa-0003FA-Ve
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 05:30:31 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:35784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gWIpa-0003DZ-5V
 for 33676 <at> debbugs.gnu.org; Mon, 10 Dec 2018 05:30:30 -0500
Received: from localhost (178.113.145.90.wireless.dyn.drei.com
 [178.113.145.90])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 114433366AD8;
 Mon, 10 Dec 2018 11:30:27 +0100 (CET)
Date: Mon, 10 Dec 2018 11:30:14 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181210113014.0e4e76eb@HIDDEN>
In-Reply-To: <20181209215126.GA10968@jurong>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <20181209215126.GA10968@jurong>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/LDmsgGrKrBVQY2ZD=ghK1CI"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: swedebugia <swedebugia@HIDDEN>, guix-devel@HIDDEN,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/LDmsgGrKrBVQY2ZD=ghK1CI
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Andreas,

I've tried it now and I get:

dannym@bayfront ~/src/guix$ ./pre-inst-env guix system disk-image --system=
=3Darmhf-linux gnu/system/install.scm
...
importing file or directory '/gnu/store/3qrkj5zqmhnkr953xznmy96fq8i55ia5-gl=
ibc-b
ootstrap-0'...
found valid signature for '/gnu/store/3qrkj5zqmhnkr953xznmy96fq8i55ia5-glib=
c-boo
tstrap-0'
guix offload: error: link: No space left on device
cannot build derivation `/gnu/store/mdc6h56cg0a8i09rh0zbw5kgipwlnvln-binuti=
ls-cr
oss-boot0-2.31.1.drv': 1 dependencies couldn't be built

--Sig_/LDmsgGrKrBVQY2ZD=ghK1CI
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwOQDYACgkQ5xo1VCww
uqVCyAgAhAvfQmCWdQKxCx98aFhr8vH2u1g/Fs51USCkFaNSEFNuC8pTsV99JkZ+
LhsJU0AiIiTRl/0ojey8e9ZOOHpos5eEg5KmePQxFqNWu+0CiMjwAhP8JqqdWmnP
rlwzmvdTCSzc8Az14cy8e/3e+j54PHPVCwVmj5mmYDKN7t+mocSilZX+RoC9p94O
aqpBVlzNP5rgEQVC97z9bWcbNoz8eUi98u7BTMDoWGIo3lKw2EJrrgHshGd1bcyU
uWUMoT8LoiJg23EI6ZpqDtXDgf2ySm0xdMz/8liGC5wDLCBvdSGL4K4MrzsDbstu
IZFnRkA0fZfndj4GyBtmW5bk/Zbn2Q==
=GEeE
-----END PGP SIGNATURE-----

--Sig_/LDmsgGrKrBVQY2ZD=ghK1CI--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 9 Dec 2018 21:51:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 09 16:51:35 2018
Received: from localhost ([127.0.0.1]:40307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gW6z9-0006ZT-DR
	for submit <at> debbugs.gnu.org; Sun, 09 Dec 2018 16:51:35 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:58672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1gW6z4-0006ZF-FJ
 for 33676 <at> debbugs.gnu.org; Sun, 09 Dec 2018 16:51:32 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id D94E82C74;
 Sun,  9 Dec 2018 22:51:28 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id vUnFXpOgwu21; Sun,  9 Dec 2018 22:51:28 +0100 (CET)
Received: from jurong (unknown [IPv6:2001:910:103f::c1e])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 0F6FF2BE7;
 Sun,  9 Dec 2018 22:51:27 +0100 (CET)
Date: Sun, 9 Dec 2018 22:51:26 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181209215126.GA10968@jurong>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20181208181214.2308472a@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: swedebugia <swedebugia@HIDDEN>, guix-devel@HIDDEN,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hello Danny,

On Sat, Dec 08, 2018 at 06:12:14PM +0100, Danny Milosavljevic wrote:
> Guix received one but we have so far be unable to get the GuixSD flash
> image because something always breaks on Hydra before it's done

although the problem seems to lie somewhere else, I would just like to
point out that you can use your account on bayfront to build things for
arm as well - it offloads to the redhill machine. Notice, however, that
this is a single machine building everything from source without using
the hydra or berlin build farms for substitutes.

I can also give you a direct login on redhill if you need it.

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 9 Dec 2018 21:33:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 09 16:33:04 2018
Received: from localhost ([127.0.0.1]:40293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gW6hE-00061v-CX
	for submit <at> debbugs.gnu.org; Sun, 09 Dec 2018 16:33:04 -0500
Received: from world.peace.net ([64.112.178.59]:37682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gW6hC-00061P-9L
 for 33676 <at> debbugs.gnu.org; Sun, 09 Dec 2018 16:33:02 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gW6h5-00087o-Uj; Sun, 09 Dec 2018 16:32:56 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: GuixSD on eoma68-a20?
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN> <87pnubn386.fsf@HIDDEN>
 <20181209124800.495326cd@HIDDEN>
Date: Sun, 09 Dec 2018 16:32:00 -0500
In-Reply-To: <20181209124800.495326cd@HIDDEN> (Danny Milosavljevic's
 message of "Sun, 9 Dec 2018 12:48:00 +0100")
Message-ID: <87in0275ec.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33676
Cc: guix-devel@HIDDEN, ludo@HIDDEN, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Danny and Ludovic,

Danny Milosavljevic <dannym@HIDDEN> writes:

> After the change, I get the following on Hydra <https://hydra.gnu.org/build/3253608/log/raw>:
>
> ---------------------------------------------------------------------------
> @ build-started /gnu/store/scnqgfc3k4434h3gch22hnh0z8qdbvdb-disk-image.drv - x86_64-linux /var/log/guix/drvs/sc//nqgfc3k4434h3gch22hnh0z8qdbvdb-disk-image.drv.bz2
> environment variable `PATH' set to `/gnu/store/5ka9gmcwcj2919q0cj0wkjng058lwrgq-qemu-minimal-3.0.0/bin:/gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-coreutils-8.30/bin'
> creating raw image of 1024.00 MiB...
> Formatting '/gnu/store/4yp6s4jlq2frb2jqzd7q3kp99vzmnpm5-disk-image', fmt=raw size=1073741824
> Could not access KVM kernel module: Permission denied
> qemu-system-x86_64: failed to initialize KVM: Permission denied

This indicates that /dev/kvm on hydra.gnunet.org has permissions that
prevent the guix build user from accessing it.

I raised this issue long ago (2015) on the guix-sysadmin mailing list.
In that message, I noted that on hydra.gnunet.org, /dev/kvm has mode
0600 and is owned by root, which caused our disk image derivations to
fail.

At the time, Ludovic chmod'd /dev/kvm, and mentioned that he had tried
to make this persistent via /etc/udev/rules.d/70-persistent-net.rules,
but that for some reason that didn't seem to work, possibly because it
was being overridden by another rule or startup script.  As far as I
know, we never implemented a proper fix.

Ludovic, for now, can you chmod it again?

     Thanks,
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 9 Dec 2018 11:48:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 09 06:48:09 2018
Received: from localhost ([127.0.0.1]:39261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVxZB-0002Rn-65
	for submit <at> debbugs.gnu.org; Sun, 09 Dec 2018 06:48:09 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:42962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gVxZ9-0002Re-7C
 for 33676 <at> debbugs.gnu.org; Sun, 09 Dec 2018 06:48:07 -0500
Received: from localhost (178.113.145.90.wireless.dyn.drei.com
 [178.113.145.90])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 523AF336013F;
 Sun,  9 Dec 2018 12:48:05 +0100 (CET)
Date: Sun, 9 Dec 2018 12:48:00 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: GuixSD on eoma68-a20?
Message-ID: <20181209124800.495326cd@HIDDEN>
In-Reply-To: <87pnubn386.fsf@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <87pnubn386.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/rK=cIOsxKZ1E6XU+fddxwRS"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: swedebugia@HIDDEN, guix-devel@HIDDEN, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/rK=cIOsxKZ1E6XU+fddxwRS
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

After the change, I get the following on Hydra <https://hydra.gnu.org/build=
/3253608/log/raw>:

---------------------------------------------------------------------------
@ build-started /gnu/store/scnqgfc3k4434h3gch22hnh0z8qdbvdb-disk-image.drv =
- x86_64-linux /var/log/guix/drvs/sc//nqgfc3k4434h3gch22hnh0z8qdbvdb-disk-i=
mage.drv.bz2
environment variable `PATH' set to `/gnu/store/5ka9gmcwcj2919q0cj0wkjng058l=
wrgq-qemu-minimal-3.0.0/bin:/gnu/store/5s2nib1lrd2101bbrivcl17kjx1mspw6-cor=
eutils-8.30/bin'
creating raw image of 1024.00 MiB...
Formatting '/gnu/store/4yp6s4jlq2frb2jqzd7q3kp99vzmnpm5-disk-image', fmt=3D=
raw size=3D1073741824
Could not access KVM kernel module: Permission denied
qemu-system-x86_64: failed to initialize KVM: Permission denied
Backtrace:
           2 (primitive-load "/gnu/store/c2phacd8p7x3g8ysnzrx09jmnxp?")
In ./gnu/build/vm.scm:
    152:2  1 (load-in-linux-vm _ #:output _ #:qemu _ #:memory-size _ ?)
In ./guix/build/utils.scm:
    616:6  0 (invoke _ . _)

./guix/build/utils.scm:616:6: In procedure invoke:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "qem=
u-system-x86_64" arguments: ("-nographic" "-no-reboot" "-m" "256" "-object"=
 "rng-random,filename=3D/dev/urandom,id=3Dguixsd-vm-rng" "-device" "virtio-=
rng-pci,rng=3Dguixsd-vm-rng" "-virtfs" "local,id=3Dstore_dev,path=3D/gnu/st=
ore,security_model=3Dnone,mount_tag=3Dstore" "-virtfs" "local,id=3Dxchg_dev=
,path=3Dxchg,security_model=3Dnone,mount_tag=3Dxchg" "-virtfs" "local,id=3D=
tmp_dev,path=3Dtmp,security_model=3Dnone,mount_tag=3Dtmp" "-kernel" "/gnu/s=
tore/fnpr2q7nwrqs7jb9dx7pd2v47z1g867v-linux-libre-4.19.7/bzImage" "-initrd"=
 "/gnu/store/2rkg1w4v2c87ijk9mwba55whnq4v90dw-raw-initrd/initrd.cpio.gz" "-=
device" "virtio-blk,drive=3Dmyhd" "-drive" "if=3Dnone,file=3D/gnu/store/4yp=
6s4jlq2frb2jqzd7q3kp99vzmnpm5-disk-image,format=3Draw,id=3Dmyhd" "-enable-k=
vm" "-append" "panic=3D1 --load=3D/gnu/store/hqfz1xq82zgq5z1pm7bqisdr4xjsy9=
5x-linux-vm-loader console=3DttyS0" "-net" "nic,model=3Dvirtio") exit-statu=
s: 1 term-signal: #f stop-signal: #f] 5f6b00>)'.
builder for `/gnu/store/scnqgfc3k4434h3gch22hnh0z8qdbvdb-disk-image.drv' fa=
iled with exit code 1
@ build-failed /gnu/store/scnqgfc3k4434h3gch22hnh0z8qdbvdb-disk-image.drv -=
 1 builder for `/gnu/store/scnqgfc3k4434h3gch22hnh0z8qdbvdb-disk-image.drv'=
 failed with exit code 1
---------------------------------------------------------------------------

What does it mean?

--Sig_/rK=cIOsxKZ1E6XU+fddxwRS
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwNAPAACgkQ5xo1VCww
uqVECQgAkzJ+s5NP4fcSC0h8WXKBJbFNEvAOrzs+eBknhrhAgkZ89u/k6OxMu15S
urJqfvgyPYJj4Z8ZEjuxTh5kGOPgnV4oNaFgUF4O8MBS6OTsAGk0/Qby5YWPdY5X
nVp+ZWkjmbUdstYoWKtBD3j6bqG1htEJL82X7BCod5WQ4ObvQicyPKYmOLXNoP+L
dTNIpvLBY7J9AjOrCgZiO2NF+Qz3ndhNkKfP79cPOpQE4LqlVHTD05vLpRebwRdZ
RzB3InI7RlempNtpuYAEG9CxXCj42TDLNmvTkwp0cIjoGFsF6rBWJ3i6oTWh42zx
sHJhFLMRUCLm5h2j9Xgyej1u4VYdzw==
=YRbv
-----END PGP SIGNATURE-----

--Sig_/rK=cIOsxKZ1E6XU+fddxwRS--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 9 Dec 2018 05:21:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 09 00:21:36 2018
Received: from localhost ([127.0.0.1]:39138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVrX5-0000Oi-Ue
	for submit <at> debbugs.gnu.org; Sun, 09 Dec 2018 00:21:36 -0500
Received: from sender-of-o53.zoho.com ([135.84.80.218]:21750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1gVrX3-0000OS-F7
 for 33676 <at> debbugs.gnu.org; Sun, 09 Dec 2018 00:21:34 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1544290452; cv=none; d=zoho.com; s=zohoarc; 
 b=mH6JWenRmBIq3PgH8t6bYnebPqPKYTqehs+ita60SHUS0Ct8wPFE24K04iWXarHjcUloh6dMLxWr4kq6du3DjHLX+Q+IV4jJxSWCH7Zp66gOik3CQR8q7Ggl1NgBrn8Ga7qGI76CdTtfht2KNR/n1KD5dSJwYDvLca9zCgkaYUo=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1544290452;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=AABz+SN+Jf+Lr9WEyU1cQzLdVXLleAfuzxsADzw0SUM=; 
 b=BVZ8KrvgUZn/vIChRfEgeNlRoIFyXFnRy6IY6ID4da+wRCVWCoE+OufnbuSmu+EcVbbSEZOXdwIQ1gD2ra2lhIXnDe/cf7IDnPNStaHMLBIc6g3EtOIB3ep5Se8i5Cr5Pl2BGDCP0FKmzY8PwAvlDfWo9wOFatXSccWjBuIt/Lw=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1544290452; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 l=522; bh=AABz+SN+Jf+Lr9WEyU1cQzLdVXLleAfuzxsADzw0SUM=;
 b=Zg7dmFv/5ZB4RCy0JlsSEzm1tAjrOXlSclxthwuRYxnW4xuxEVs/mKuNU4wJKT0r
 Bz1tbPAopkawb1g0aI6kyPjWZu0XW0dPI5LTZxBAhXpe4eLeHtY4knIwF2d8LaEzEYv
 2pzsn2ysn+rF6LccanckBY2jXOvMwvfoiBHxtgKc=
Received: from localhost (79.140.114.124 [79.140.114.124]) by mx.zohomail.com
 with SMTPS id 1544290449679632.3635771760767;
 Sat, 8 Dec 2018 09:34:09 -0800 (PST)
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
In-reply-to: <20181208181214.2308472a@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Sat, 08 Dec 2018 18:34:04 +0100
Message-ID: <87k1kjgbxv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33676
Cc: swedebugia <swedebugia@HIDDEN>, guix-devel@HIDDEN,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Danny,

> Guix received one but we have so far be unable to get the GuixSD flash
> image because something always breaks on Hydra before it's done (for
> example lack of disk space - see https://hydra.gnu.org/build/3198097/log/raw .
> Note: The latter thing counts as "successful" build.  WTF?).

Is this now better with ci.guix.info (berlin.guixsd.org)?

> I have the device here in my hand (I tested it using u-boot only - works fine).

Oh, so it works out of the box with GuixSD already?

-- 
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 8 Dec 2018 23:53:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 18:53:49 2018
Received: from localhost ([127.0.0.1]:39008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVmPt-0000e0-9s
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 18:53:49 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:43582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gVmPr-0000ds-EU
 for 33676 <at> debbugs.gnu.org; Sat, 08 Dec 2018 18:53:47 -0500
Received: from localhost (178.113.145.90.wireless.dyn.drei.com
 [178.113.145.90])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id B3FF03363912;
 Sun,  9 Dec 2018 00:53:45 +0100 (CET)
Date: Sun, 9 Dec 2018 00:53:43 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: GuixSD on eoma68-a20?
Message-ID: <20181209005343.7c8dc8e3@HIDDEN>
In-Reply-To: <87pnubn386.fsf@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <87pnubn386.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/.RJTWt1zMRTrmpncHUBwcOs"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: swedebugia@HIDDEN, guix-devel@HIDDEN, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/.RJTWt1zMRTrmpncHUBwcOs
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Mark,

On Sat, 08 Dec 2018 15:59:58 -0500
Mark H Weaver <mhw@HIDDEN> wrote:

> This sounds like two distinct bugs:
>=20
> * Regarding the lack of disk space: if I'm not mistaken, as things are
>   currently implemented, we must specify the size of the disk image
>   manually.  I guess we need to increase the size.

Ah, you are right!  https://hydra.gnu.org/build/3194622/log/raw (the usb-im=
age
for i686) also fails - but nobody noticed because we only distribute the iso
image (which determines its size dynamically).

I didn't make the connection that this is a fixed-size guest filesystem bef=
ore.

> * This error that occurs within QEMU is apparently not being propagated
>   to the outer build script.  That should be fixed.

Yes.

> > I'm now setting up my own build server and trying to get the flash image
> > that way - which is ridiculous. =20
>=20
> You seem to be assuming that the problem building the disk image is a
> Hydra-specific problem.  Do you have reason to believe so?  I would
> guess that these bugs are in the disk image builder.

Probably!

According to the progress bar it's missing an additional 40% ?  That's... l=
arge.

I've increased the size for the time being, but according to the logs
it was at 800 MiB in 2015.

--Sig_/.RJTWt1zMRTrmpncHUBwcOs
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwMWYcACgkQ5xo1VCww
uqXTuAgAl5srjcRljw2QhHST6S+5xf6SKvxVj7JLw/lmNhY31I6PSEx0YRX9U5kj
Cse9vqc/c7Xqd+jyyXS9NN/mxeF0kCPSe5Rm/Bkbn1nVmODXzvYVosealf5ggelO
YliQtI1JpUWn+PEoKjP/8H5bWegiRD5Os5vO0F/MQ9v/5uaj9SGkUgq6ZDx+RAth
WLeXa75WjTwD4JgYIENxB2VjVmPoH1NluXPW7quvxQCSYd+jgE7XS/ikfjK7RBYl
25GwvuvNgvG6CKONsNxZL5Lsby082xjUT1nN4dvhR+PYbGon4WCynW3WEMIKcVG/
Yjho1QdCSuC4nTNdVbBnp7joGumZQQ==
=vLzO
-----END PGP SIGNATURE-----

--Sig_/.RJTWt1zMRTrmpncHUBwcOs--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 8 Dec 2018 23:30:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 18:30:24 2018
Received: from localhost ([127.0.0.1]:38918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVm3E-0008TJ-8L
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 18:30:24 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43023)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gVm3A-0008T1-TD
 for 33676 <at> debbugs.gnu.org; Sat, 08 Dec 2018 18:30:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gVm32-00076K-W0
 for 33676 <at> debbugs.gnu.org; Sat, 08 Dec 2018 18:30:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57706)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gVm31-0006yn-01; Sat, 08 Dec 2018 18:30:12 -0500
Received: from [2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda] (port=44028 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gVm30-0001pE-NH; Sat, 08 Dec 2018 18:30:10 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN> <87k1kjgbxv.fsf@HIDDEN>
 <20181208201542.241ac6a7@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 19 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 09 Dec 2018 00:30:08 +0100
In-Reply-To: <20181208201542.241ac6a7@HIDDEN> (Danny Milosavljevic's
 message of "Sat, 8 Dec 2018 20:15:42 +0100")
Message-ID: <871s6r61hb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33676
Cc: Ricardo Wurmus <rekado@HIDDEN>, guix-devel@HIDDEN,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi,

Danny Milosavljevic <dannym@HIDDEN> skribis:

> On Sat, 08 Dec 2018 18:34:04 +0100
> Ricardo Wurmus <rekado@HIDDEN> wrote:
>
>> > Guix received one but we have so far be unable to get the GuixSD flash
>> > image because something always breaks on Hydra before it's done (for
>> > example lack of disk space - see https://hydra.gnu.org/build/3198097/l=
og/raw .
>> > Note: The latter thing counts as "successful" build.  WTF?).=20=20
>>=20
>> Is this now better with ci.guix.info (berlin.guixsd.org)?
>
> No idea.  How to I get the flash-image using ci.guix.info ?
>
> I tried "guix system disk-image --system=3Darmhf-linux gnu/system/install=
.scm" but
> that builds a lot of stuff from source.  Let's see whether it will be don=
e before
> the sun exploded :)

I=E2=80=99d suggest trying again, and possibly retrying a bit later so that
substitutes have had a chance to be =E2=80=9Cbaked=E2=80=9D.

hydra.gnu.org and now ci.guix.info both provide armhf-linux substitutes.
They have much less armv7 CPU power than x86 but still, it shouldn=E2=80=99=
t be
that bad.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 8 Dec 2018 21:01:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 16:01:03 2018
Received: from localhost ([127.0.0.1]:38817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVjif-0004l5-Cx
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 16:01:02 -0500
Received: from world.peace.net ([64.112.178.59]:48758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1gVjic-0004kn-9B
 for 33676 <at> debbugs.gnu.org; Sat, 08 Dec 2018 16:00:59 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1gVjiW-000194-2h; Sat, 08 Dec 2018 16:00:52 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: GuixSD on eoma68-a20?
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
Date: Sat, 08 Dec 2018 15:59:58 -0500
In-Reply-To: <20181208181214.2308472a@HIDDEN> (Danny Milosavljevic's
 message of "Sat, 8 Dec 2018 18:12:14 +0100")
Message-ID: <87pnubn386.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33676
Cc: swedebugia@HIDDEN, guix-devel@HIDDEN, 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Danny,

Danny Milosavljevic <dannym@HIDDEN> writes:

> On Sat, 8 Dec 2018 17:39:01 +0100
> swedebugia <swedebugia@HIDDEN> wrote:
>
>> Could we pre-order some of these owned by the foundation to
>> be used to to hack on this?
>> 
>> See https://www.crowdsupply.com/eoma68/micro-desktop
>
> Guix received one but we have so far be unable to get the GuixSD flash
> image because something always breaks on Hydra before it's done (for
> example lack of disk space - see https://hydra.gnu.org/build/3198097/log/raw .
> Note: The latter thing counts as "successful" build.  WTF?).

This sounds like two distinct bugs:

* Regarding the lack of disk space: if I'm not mistaken, as things are
  currently implemented, we must specify the size of the disk image
  manually.  I guess we need to increase the size.

* This error that occurs within QEMU is apparently not being propagated
  to the outer build script.  That should be fixed.

> I'm now setting up my own build server and trying to get the flash image
> that way - which is ridiculous.

You seem to be assuming that the problem building the disk image is a
Hydra-specific problem.  Do you have reason to believe so?  I would
guess that these bugs are in the disk image builder.

What do you think?

    Regards,
      Mark




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at 33676 <at> debbugs.gnu.org:


Received: (at 33676) by debbugs.gnu.org; 8 Dec 2018 19:15:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 14:15:50 2018
Received: from localhost ([127.0.0.1]:38762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVi4s-0002BI-BW
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 14:15:50 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:51560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gVi4q-0002BA-Rz
 for 33676 <at> debbugs.gnu.org; Sat, 08 Dec 2018 14:15:49 -0500
Received: from localhost (178.113.145.90.wireless.dyn.drei.com
 [178.113.145.90])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 2E18D336043C;
 Sat,  8 Dec 2018 20:15:47 +0100 (CET)
Date: Sat, 8 Dec 2018 20:15:42 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: bug#33676: GuixSD on eoma68-a20?
Message-ID: <20181208201542.241ac6a7@HIDDEN>
In-Reply-To: <87k1kjgbxv.fsf@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
 <20181208181214.2308472a@HIDDEN>
 <87k1kjgbxv.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/jZL1jNIFbTL+yay=BB5RWgD"; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33676
Cc: swedebugia <swedebugia@HIDDEN>, guix-devel@HIDDEN,
 33676 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/jZL1jNIFbTL+yay=BB5RWgD
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Ricardo,

On Sat, 08 Dec 2018 18:34:04 +0100
Ricardo Wurmus <rekado@HIDDEN> wrote:

> > Guix received one but we have so far be unable to get the GuixSD flash
> > image because something always breaks on Hydra before it's done (for
> > example lack of disk space - see https://hydra.gnu.org/build/3198097/lo=
g/raw .
> > Note: The latter thing counts as "successful" build.  WTF?). =20
>=20
> Is this now better with ci.guix.info (berlin.guixsd.org)?

No idea.  How to I get the flash-image using ci.guix.info ?

I tried "guix system disk-image --system=3Darmhf-linux gnu/system/install.s=
cm" but
that builds a lot of stuff from source.  Let's see whether it will be done =
before
the sun exploded :)

> > I have the device here in my hand (I tested it using u-boot only - work=
s fine). =20
>=20
> Oh, so it works out of the box with GuixSD already?

As I said, I've tested it with u-boot only so far.

--Sig_/jZL1jNIFbTL+yay=BB5RWgD
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwMGF4ACgkQ5xo1VCww
uqXgdAf+JlHGI1oZZRm7omk4Uysg4jpmQv8wCOhuNvUnWbr7NnT1IBN4XuNO9zx1
JAA4ZOpZrpYtJS5o2ymfBb31Tp9OKZlRwS+T9cFrs23HREyASaBXkBoixi9fIJO7
mq71q2cfAX6XZU/qNuBdcWaHQJ6j2/a0e07R5i1AdMLcBVTRvncvxuM09jDY9xR+
hzlO4flUfkyXAVFe9319Ke6B8dhevHjnrhan3mOY4WIgeeEriRAdQI0YppjpVOEP
fA5GxpBvC8HC2f96E9An5DoVDizi6ES4dIFSn96be4oM+utJNb+JCPHJgu15Pfax
HgLEx3motcDvW5fvHg7XDoPn86TieA==
=HafG
-----END PGP SIGNATURE-----

--Sig_/jZL1jNIFbTL+yay=BB5RWgD--




Information forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Dec 2018 17:12:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 12:12:45 2018
Received: from localhost ([127.0.0.1]:38727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVg9l-0007Yq-Bw
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 12:12:45 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40487)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1gVg9j-0007Yd-RY
 for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 12:12:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dannym@HIDDEN>) id 1gVg9d-0005Vd-Nr
 for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 12:12:38 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46022)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dannym@HIDDEN>)
 id 1gVg9d-0005VG-JJ
 for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 12:12:37 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50088)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dannym@HIDDEN>) id 1gVg9c-0006Zv-Kg
 for bug-guix@HIDDEN; Sat, 08 Dec 2018 12:12:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dannym@HIDDEN>) id 1gVg9X-0005S5-FJ
 for bug-guix@HIDDEN; Sat, 08 Dec 2018 12:12:36 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:57124)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dannym@HIDDEN>)
 id 1gVg9X-0005Kz-7S; Sat, 08 Dec 2018 12:12:31 -0500
Received: from localhost (178.113.145.90.wireless.dyn.drei.com
 [178.113.145.90])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 6752D3362B4A;
 Sat,  8 Dec 2018 18:12:20 +0100 (CET)
Date: Sat, 8 Dec 2018 18:12:14 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: GuixSD on eoma68-a20?
Message-ID: <20181208181214.2308472a@HIDDEN>
In-Reply-To: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
References: <68f9fc17-94f5-dcc2-f54d-61d6e2bf384d@HIDDEN>
X-Mailer: Claws Mail 3.17.1 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/NMbaBS9gWxQajhO1Ne4Yq42"; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: guix-devel <guix-devel@HIDDEN>, bug-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

--Sig_/NMbaBS9gWxQajhO1Ne4Yq42
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi swedebugia,

On Sat, 8 Dec 2018 17:39:01 +0100
swedebugia <swedebugia@HIDDEN> wrote:

> Could we pre-order some of these owned by the foundation to
> be used to to hack on this?
>=20
> See https://www.crowdsupply.com/eoma68/micro-desktop

Guix received one but we have so far be unable to get the GuixSD flash
image because something always breaks on Hydra before it's done (for
example lack of disk space - see https://hydra.gnu.org/build/3198097/log/ra=
w .
Note: The latter thing counts as "successful" build.  WTF?).

I have the device here in my hand (I tested it using u-boot only - works fi=
ne).

I'm now setting up my own build server and trying to get the flash image
that way - which is ridiculous.

Also, be aware that the Allwinner A20 is really really slow.  There are
ARM computers worth using as a normal PC, but this one isn't.  I tried.

(For example the Allwinner R40 is quite okay to use as a PC - see
Sinovoip Banana Pi M2 Ultra)

I like the concept of easily upgradeable computers, though!

--Sig_/NMbaBS9gWxQajhO1Ne4Yq42
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAlwL+24ACgkQ5xo1VCww
uqWlfggAjUZecWgeq5NTGfKgoZPTdw2jzY9Vcp+i1ZORdsm7Uq2TCiqGg3mH0F2f
63jiN4edPHfKNbtXTDJ3JzcViB+Q5sRDf9rWRzSlxtcWEEpeDYDRIPo9M40EVKiI
Bm02fN5ox+hNukbXjuiDYa5LV2JSU8nYWXhCi+9lBFoRIQLRhxlwwLOxNmO1po48
jBNMQYaOwuFXKUJn7hs8yOX50hhiDGZ44KPkguibZI0kqvbN0XlizB0EHJT5ILS4
sdFfMXCJfcVdVdnf3rcq5vk+laVWpvxPUQVRFa7pmVDMWJgU5AFClWw4wl3djOpi
B+fjSabgd+p/5hD2HQyXcsl0w6A8Bg==
=vl7I
-----END PGP SIGNATURE-----

--Sig_/NMbaBS9gWxQajhO1Ne4Yq42--




Acknowledgement sent to Danny Milosavljevic <dannym@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33676; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.